var filters = angular.module("famousFilters", []);

filters.filter("prepareHtml", ['$sce', function($sce){
	return function(htmlCode){
		return $sce.trustAsHtml(htmlCode);
	}
}]);

filters.filter('placeColors', function(){
    return function (num){
    	switch(num){
    		case 1:
				return "border: 2px solid #00AC35; color: #00AC35;";
			case 2:
				return "border: 2px solid #FF862D; color: #FF862D;";
			case 3:
				return "border: 2px solid #DD3131; color: #DD3131;";
			case 4:
				return "border: 2px solid #1FA6B6; color: #1FA6B6;";
			case 5:
				return "border: 2px solid #6A80F0; color: #6A80F0;";
			default:
				return "border: 2px solid transparent;";
    	}
    	return "";
    };
});

filters.filter("setPosts", function(){
	return function(index, src){
		var height = (window.innerWidth * 32 / 100) + "px";
		if(index % 3 == 0){
			return "background-image: url(" + src + ");float: left;line-height:" + height + ";height:" + height;
		}else if(index % 3 == 2){
			return "background-image: url(" + src + ");float: right;line-height:" + height + ";height:" + height;
		}else{
			return "background-image: url(" + src + ");float: left; margin-left: 2%;line-height:" + height + ";height:" + height;
		}
	}
});

// set image to task
filters.filter("setTask", function(){
	return function(src){
		return "background-image: url(" + src + ")";
	}
});

// set refresh but for task
filters.filter("setRefreshBut", function(){
	return function(type, index){
		switch(parseInt(type)){
			case Constant.ACTIVE_TASK_STATUS:
				$(".tasks-elem-hang").eq(index).addClass('none');
				return "";
			case Constant.FROZEN_TASK_STATUS:
				$(".tasks-elem-hang").eq(index).addClass('none');
				return "";
			case Constant.HANG_TASK_STATUS:
				return "";
			default:
				return "";
		}
	}
});

// set task type
filters.filter("setTaskTextType", function(){
	return function(type, $scope){
		switch(parseInt(type)){
			case Constant.LIKE_TYPE:
				return $scope.likesText;
			case Constant.SUBSCRIBE_TYPE:
				return $scope.followersText;
			default:
				return "";
		}
	}
});

// set text status to task
filters.filter("setTaskTextStatus", function(){
	return function(type, $scope){
		switch(parseInt(type)){
			case Constant.ACTIVE_TASK_STATUS:
				return $scope.activeStatus;
			case Constant.FROZEN_TASK_STATUS:
				return $scope.frozenStatus;
			case Constant.HANG_TASK_STATUS:
				return $scope.hangStatus;
			default:
				return "";
		}
	}
});

// set color status to task
filters.filter("setTaskColorStatus", function(){
	return function(taskType, colorType, $scope){
		switch(colorType){
			case "text":
				switch(parseInt(taskType)){
					case Constant.ACTIVE_TASK_STATUS:
						return "color: #29C422";
					case Constant.FROZEN_TASK_STATUS:
						return "color: #FEA719";
					case Constant.HANG_TASK_STATUS:
						return "color: #F21D21";
					default:
						return "";
				}
			case "border":
				switch(parseInt(taskType)){
					case Constant.ACTIVE_TASK_STATUS:
						return "background-color: #29C422";
					case Constant.FROZEN_TASK_STATUS:
						return "background-color: #FEA719";
					case Constant.HANG_TASK_STATUS:
						return "background-color: #F21D21";
					default:
						return "";
				}
			default:
				return "";
		}
	}
});

// set image miners in lvlprize
filters.filter("prizeMiner", function(){
	return function(index){
		switch(parseInt(++index)){
			case 1:
				return "images/earn_man1.png";
			case 10:
				return "images/earn_man2.png";
			case 20:
				return "images/earn_man3.png";
			case 30:
				return "images/earn_man4.png";
			case 40:
				return "images/earn_man5.png";
			default:
				return;
		}
	}
});

// set height for miners in lvlprize
filters.filter("prizeMinerSize", function(){
	return function(index){
		switch(parseInt(++index)){
			case 1:
				return "height: 70px";
			case 10:
				return "height: 70px";
			case 20:
				return "height: 70px";
			case 30:
				return "height: 70px";
			case 40:
				return "height: 70px";
			default:
				return;
		}
	}
});