var services_lang = angular.module("famousServicesLang", []);

// LOGIN LANGS
services_lang.service("$loginLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.LOGIN_VIEW, function(lang){
			$scope.authText = lang.authText;
			$scope.signupTextFirst = lang.signupTextFirst;
			$scope.signupTextSecond = lang.signupTextSecond;
			$scope.signupTextThird = lang.signupTextThird;
			$scope.privacyLinkText = lang.privacyLinkText;
			$scope.troubleText = lang.troubleText;

			$scope.$applyAsync();
		});
	}
}]);

// NEWS LANGS
services_lang.service("$newsLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.NEWS_VIEW, function(lang){
			$scope.noNewsText = lang.noNewsText;

			$scope.$applyAsync();
		});
	}
}]);

// MAIN LANGS
services_lang.service("$mainLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.MAIN_VIEW, function(lang){
			$scope.followersText = lang.followersText;
			$scope.followingText = lang.followingText;
			$scope.postsText = lang.postsText;
			$scope.levelText = lang.levelText;
			$scope.noPostsText = lang.noPostsText;
			$scope.morePostsText = lang.morePostsText;

			$scope.$applyAsync();
		});		
	}
}]);

// DIALOG LANGS
services_lang.service("$dialogLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.DIALOG_VIEW, function(lang){
			$scope.dialogPh = lang.dialogPh;
			$scope.diamondsText = lang.diamondsText;
			$scope.sendText = lang.sendText;
			$scope.privateAccHead = lang.privateAccHead;
			$scope.privateAccText = lang.privateAccText;
			$scope.privateAccBut = lang.privateAccBut;
			$scope.deleteTaskHead = lang.deleteTaskHead;
			$scope.deleteTaskCancel = lang.deleteTaskCancel;
			$scope.deleteTaskDelete = lang.deleteTaskDelete;

			$scope.$applyAsync();
		});
	}
}]);

// TASKS LANGS
services_lang.service("$tasksLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.TASKS_VIEW, function(lang){
			$scope.likesText = lang.likesText;
			$scope.followersText = lang.followersText;
			$scope.ofText = lang.ofText;
			$scope.tasksNoQuestText = lang.tasksNoQuestText;
			$scope.tasksNoQuestLink = lang.tasksNoQuestLink;

			$scope.activeStatus = lang.activeStatus;
			$scope.frozenStatus = lang.frozenStatus;
			$scope.hangStatus = lang.hangStatus;

			$scope.$applyAsync();
		});
	}
}]);

// EARN LANGS
services_lang.service("$earnLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.EARN_VIEW, function(lang){
			$scope.earnedText = lang.earnedText;
			$scope.powerText = lang.powerText;

			$scope.$applyAsync();
		});
	}
}]);

// BID LANGS
services_lang.service("$bidLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.BID_VIEW, function(lang){
			$scope.likesButText = lang.likesButText;
			$scope.subsButText = lang.subsButText;
			$scope.warningText = lang.warningText;
			$scope.bidLikeNoQuestText = lang.bidLikeNoQuestText;
			$scope.bidMoreText = lang.bidMoreText;

			$scope.listBut = lang.listBut;
			$scope.accBut = lang.accBut;

			$scope.linkBut = lang.linkBut;
			$scope.nickBut = lang.nickBut;
			$scope.linkLikePh = lang.linkLikePh;
			$scope.linkSubsPh = lang.linkSubsPh;
			$scope.likesPh = lang.likesPh;
			$scope.subsPh = lang.subsPh;
			$scope.diamondsText = lang.diamondsText;
			$scope.startText = lang.startText;

			$scope.acceptHeadText = lang.acceptHeadText;
			$scope.acceptButText = lang.acceptButText;
			$scope.acceptMainText = lang.acceptMainText;

			$scope.$applyAsync();
		});
	}
}]);

// DONATE LANGS
services_lang.service("$donateLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.DONATE_VIEW, function(lang){
			$scope.diamondsButText = lang.diamondsButText;
			$scope.premiumButText = lang.premiumButText;
			$scope.turboButText = lang.turboButText;
			
			$scope.emptyField = lang.emptyField;
			$scope.popularText = lang.popularText;
			$scope.bestValueText = lang.bestValueText;
			$scope.buyButText = lang.buyButText;
			
			$scope.premiumFirstText = lang.premiumFirstText;
			$scope.premiumSecondText = lang.premiumSecondText;
			$scope.premiumThirdText = lang.premiumThirdText;
			$scope.premiumFourthText = lang.premiumFourthText;
			
			$scope.turboLightHeadText = lang.turboLightHeadText;
			$scope.turboMediumHeadText = lang.turboMediumHeadText;
			$scope.turboHardHeadText = lang.turboHardHeadText;
			
			$scope.turboGreenFirstText = lang.turboGreenFirstText;
			$scope.turboGreenSecondText = lang.turboGreenSecondText;
			$scope.turboGreenThirdText = lang.turboGreenThirdText;
			$scope.turboGreenFourthText = lang.turboGreenFourthText;
			$scope.turboBlueFirstText = lang.turboBlueFirstText;
			$scope.turboBlueSecondText = lang.turboBlueSecondText;
			$scope.turboBlueThirdText = lang.turboBlueThirdText;
			$scope.turboBlueFourthText = lang.turboBlueFourthText;
			$scope.turboRedFirstText = lang.turboRedFirstText;
			$scope.turboRedSecondText = lang.turboRedSecondText;
			$scope.turboRedThirdText = lang.turboRedThirdText;
			$scope.turboRedFourthText = lang.turboRedFourthText;
			
			$scope.turboBoughtText = lang.turboBoughtText;

			$scope.$applyAsync();
		});
	}
}]);

// SETTINGS LANGS
services_lang.service("$settingsLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.SETTINGS_VIEW, function(lang){
			$scope.settingsText = lang.settingsText;
			$scope.newVersionText = lang.newVersionText;
			$scope.updateButText = lang.updateButText;
			$scope.premiumAccText = lang.premiumAccText;
			$scope.followEarnText = lang.followEarnText;
			$scope.autoEarnText = lang.autoEarnText;
			$scope.guideText = lang.guideText;
			$scope.rateText = lang.rateText;
			$scope.otherAppText = lang.otherAppText;
			$scope.privacyText = lang.privacyText;
			$scope.exitAccText = lang.exitAccText;

			$scope.$applyAsync();
		});
	}
}]);

// AUTH TROUBLE LANGS
services_lang.service("$authTroubleLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.AUTHTROUBLE_VIEW, function(lang){
			$scope.backText = lang.backText;
			$scope.stepOneText = lang.stepOneText;
			$scope.stepOneContent = lang.stepOneContent;
			$scope.stepTwoText = lang.stepTwoText;
			$scope.stepTwoContent = lang.stepTwoContent;
			$scope.stepThreeText = lang.stepThreeText;
			$scope.stepThreeContent = lang.stepThreeContent;
			$scope.goodInetText = lang.goodInetText;
			$scope.problemText = lang.problemText;
			$scope.problemListText = lang.problemListText;
			$scope.problemOneText = lang.problemOneText;
			$scope.problemTwoText = lang.problemTwoText;
			$scope.problemThreeText = lang.problemThreeText;
			$scope.nothingText = lang.nothingText;
			$scope.feedBackButText = lang.feedBackButText;

			$scope.$applyAsync();
		});
	}
}]);

// GUIDE LANGS
services_lang.service("$guideLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.GUIDE_VIEW, function(lang){
			$scope.guideDiamondsText = lang.guideDiamondsText;
			$scope.guideEarnText = lang.guideEarnText;
			$scope.guideBidText = lang.guideBidText;
			$scope.guideTasksText = lang.guideTasksText;
			$scope.guideDonateText = lang.guideDonateText;
			$scope.guideMainText = lang.guideMainText;
			$scope.guideNewsText = lang.guideNewsText;
			$scope.guideQuestHintText = lang.guideQuestHintText;
			$scope.guideNextButText = lang.guideNextButText;

			$scope.$applyAsync();
		});
	}
}]);

// TOP LANGS
services_lang.service("$topLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.TOP_VIEW, function(lang){
			$scope.backText = lang.backText;
			$scope.prizeTimeText = lang.prizeTimeText;
			$scope.tasksCompleteText = lang.tasksCompleteText;
			$scope.dialogText = lang.dialogText;
			$scope.dialogPlaceText = lang.dialogPlaceText;

			$scope.dialogPlace1Text = lang.dialogPlace1Text;
			$scope.dialogPlace2Text = lang.dialogPlace2Text;
			$scope.dialogPlace3Text = lang.dialogPlace3Text;
			$scope.dialogPlace4Text = lang.dialogPlace4Text;
			$scope.dialogPlace5Text = lang.dialogPlace5Text;

			$scope.dialogFirstNum = lang.dialogFirstNum;
			$scope.dialogSecondNum = lang.dialogSecondNum;
			$scope.dialogThirdNum = lang.dialogThirdNum;
			$scope.dialogFourthNum = lang.dialogFourthNum;
			$scope.dialogFifthNum = lang.dialogFifthNum;
			
			$scope.dialogButText = lang.dialogButText;

			$scope.userposPlace = lang.userposPlace;

			$scope.$applyAsync();
		});
	}
}]);

// LVL PRIZE LANGS
services_lang.service("$lvlPrizeLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.LVLPRIZE_VIEW, function(lang){
			$scope.lvlNameText = lang.lvlNameText;

			$scope.lvlLevelText = lang.lvlLevelText;
			$scope.turboPrizeText = lang.turboPrizeText;

			$scope.$applyAsync();
		});	
	}
}]);

// MINE ADV LANGS
services_lang.service("$mineAdLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.MINEAD_VIEW, function(lang){
			$scope.installButText = lang.installButText;

			$scope.$applyAsync();
		});	
	}
}]);

// PRIVACY LANGS
services_lang.service("$privacyLang", ["$lang", function($lang){
	this.setLang = function($scope){
		$lang.getLang(Constant.PRIVACY_VIEW, function(lang){
			$scope.backText = lang.backText;

			$scope.point1Text = lang.point1Text;
			$scope.point1Elem1Text = lang.point1Elem1Text;
			$scope.point1Elem2Text = lang.point1Elem2Text;
			$scope.point1Elem3Text = lang.point1Elem3Text;
			$scope.point1Elem4Text = lang.point1Elem4Text;
			$scope.point1Elem5Text = lang.point1Elem5Text;
			$scope.point2Text = lang.point2Text;
			$scope.point3Text = lang.point3Text;
			$scope.point4Text = lang.point4Text;
			$scope.point5Text = lang.point5Text;
			$scope.point6Text = lang.point6Text;
			$scope.point7Text = lang.point7Text;
			$scope.point7Elem1Text = lang.point7Elem1Text;
			$scope.point7Elem2Text = lang.point7Elem2Text;
			$scope.point7Elem3Text = lang.point7Elem3Text;
			$scope.point8Text = lang.point8Text;
			$scope.point9Text = lang.point9Text;
			$scope.point10Text = lang.point10Text;
			$scope.point11Text = lang.point11Text;

			$scope.$applyAsync();
		});	
	}
}]);