var services_views = angular.module("famousServicesViews", []);

services_views.service("$dialogView", ["$rootScope", "$manager", "$lang", function($rootScope, $manager, $lang){
	var self = this;
	this.deleteData = {};
	this.strings = {};
	
	this.manageView = function($scope, response){
		if(response.status == Constant.OK_STATUS){
			this.okView($scope, response);
		}else{
			this.errView($scope, response);
		}
		$scope.$applyAsync();
	}
	
	this.okView = function($scope, response){
		switch(response.action){
			case "bid":
				this.bidOk($scope, response);
				break;
		}
	}
	
	this.errView = function($scope, response){
		switch(response.action){
			case "bid":
				this.bidErr($scope, response);
				break;
		}
	}
	
	this.bidOk = function($scope, response){
		self.setButAnim(false);
		self.showToast(self.strings.bidOk);
		self.hideDialogBidLikes();
		self.setCash(response.data.cash);
	}

	this.bidErr = function($scope, response){
		self.setButAnim(false);
		switch(response.data.errorCode){
			case Constant.ERR_CODE_CONNECTOR_BID:
				this.showToast(this.strings.bidFail);
				break;
			case Constant.ERR_CODE_BROWSER_BID:
				this.showToast(this.strings.mhFail);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				this.showToast(this.strings.connectErr);
				break;
			case Constant.ERR_CODE_BROWSER_PRIVATE:
				this.hideDialogBidLikes();
				this.showPrivateAcc();
				break;	
		}
	}
	
	// set current num of diamonds in header
	this.setCash = function(cash){
		$rootScope.deposit = cash.getDeposit();
	}
	
	this.setPrice = function($scope, price, num){
		if(num == 1)
			$scope.price = price;
		else
			$scope.price = "";
	}

	// show preloading
	this.showInitLoading = function(){
		$('.init-logo').removeClass("none");
	}
	
	// hide preloading
	this.hideInitLoading = function(){
		$('.init-block').addClass("none");
	}

	// run loading
	this.showLoading = function(){
		setBlackout('loading-block', true);
		$('.loading-block').removeClass('none');
	}

	// stop loading
	this.hideLoading = function(){
		$('.loading-block').addClass('none');
		setBlackout('loading-block', false);
	}
	
	// show toast
	this.showToast = function(message){
		$('.toast-block').removeClass("none");
		$('#toastMes').text(message);

		setTimeout(function(){
			$('.toast-block').addClass("none");
		}, Constant.TOAST_TIME);
	}

	// show private acc
	this.showPrivateAcc = function(){
		setBlackout('privateacc-block', true);
		$('.privateacc-block').removeClass("none");
	}

	// hide private acc
	this.hidePrivateAcc = function(){
		$('.privateacc-block').addClass("none");
		setBlackout('privateacc-block', false);
	}

	// show delete task
	this.showDeleteTask = function($scope, task){
		self.deleteData = {scope: $scope, task: task};
		setBlackout('deletetask-block', true);
		$('.deletetask-block').removeClass("none");
	}

	// hide delete task
	this.hideDeleteTask = function(){
		$('.deletetask-block').addClass("none");
		setBlackout('deletetask-block', false);
	}

	// show dialog for get likes
	this.showDialogBidLikes = function(id){
		$('#hideDialogField').val(id);
		var appElement = document.querySelector('[ng-controller=dialogCtrl]');
		var $scope = angular.element(appElement).scope();
		$scope.bidLikeId = id;
		$scope.targetCountDialog = Constant.LIKE_MIN_BID;
		$scope.price = "";

		$rootScope.$applyAsync();

		setBlackout('bid-dialog-block', true);
		$('.bid-dialog-block').removeClass("none");
	}

	// hide dialog for get likes
	this.hideDialogBidLikes = function(){
		$('.bid-dialog-block').addClass("none");
		setBlackout('bid-dialog-block', false);
	}

	// hide or show loading in button
	this.setButAnim = function(isAnim){
		if(isAnim){
			$("#dialogSend").addClass("none");
			$("#dialogSendAnim").removeClass("none");
		}else{
			$("#dialogSend").removeClass("none");
			$("#dialogSendAnim").addClass("none");
		}
	}

	// set brightness for dialog windows
	function setBlackout(elem, isShow){
		if(isShow)
			$('.' + elem).addClass('blackout');
		else
			$('.' + elem).removeClass('blackout');
	}

	function cancelEvents(){
		$(".bid-dialog-content").click(function(e){
			e.stopPropagation();
		});

		$(".privateacc-content").click(function(e){
			e.stopPropagation();
		});

		$(".deletetask-content").click(function(e){
			e.stopPropagation();
		});

		$(".bid-dialog-block:first").bind('scroll touchmove', function(e){
			e.preventDefault();
		});

		$(".privateacc-block:first").bind('scroll touchmove', function(e){
			e.preventDefault();
		});

		$(".deletetask-block:first").bind('scroll touchmove', function(e){
			e.preventDefault();
		});

		$(".loading-block:first").bind('scroll touchmove', function(e){
			e.preventDefault();
		});
	}

	//init all functions in view
	this.initViewParams = function(){
		// cancel events on page
		cancelEvents();
	}

	$lang.getLang(Constant.MESSAGES_VIEW, function(lang){
		self.strings = lang;
	});
}]);

services_views.service("$loginView", ["$manager", "$location", "$dialogView", "$keyboardMonster", "$navView",
					  function($manager, $location, $dialogView, $keyboardMonster, $navView){
	var self = this;

	this.manageView = function($scope, response){
		if(response.status == Constant.OK_STATUS){
			this.okView($scope, response);
		}else{
			this.errView($scope, response);
		}
		$scope.$applyAsync();
	}
	
	this.okView = function($scope, response){
		switch(response.action){
			case "auth":
				this.authOk($scope, response);
				break;
			case "load":
				this.loadOk($scope, response);
				break;
			case "show":
				this.showOk($scope, response);
				break;
		}
	}
	
	this.errView = function($scope, response){
		switch(response.action){
			case "auth":
				this.authErr($scope, response);
				break;
			case "load":
				this.loadErr($scope, response);
				break;
			case "show":
				this.showErr($scope, response);
				break;
		}
	}
	
	this.authOk = function($scope, response){
		$keyboardMonster.init();
		$location.path("/main");					//go to main and show mainActivity
		Log.d("NEWS_COUNT", response.data.news_count);
		$navView.setNewsCount(parseInt(response.data.news_count, 10));
		//response.data.news_count
	}
	
	this.authErr = function($scope, response){
		switch(response.data.errorCode){
			case Constant.ERR_CODE_BROWSER_AUTH:
				$dialogView.showToast($dialogView.strings.loginFail);
				break;
			case Constant.ERR_CODE_CONNECTOR_AUTH:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
			case Constant.ERR_CODE_BROWSER_INFO:
				$dialogView.showToast($dialogView.strings.readErr);
				break;
			case Constant.ERR_CODE_DATA_SAVE:
				Log.d("ERR_CODE_DATA_SAVE", "ERR_CODE_DATA_SAVE");
				//$dialogView.showToast($dialogView.strings.writeErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}
	
	this.loadOk = function($scope, response){
		//nothing to do here
	}
	
	this.loadErr = function($scope, response){
		switch(response.data.errorCode){
			case Constant.ERR_CODE_DATA_LOAD:
				//nothing to do here
				break;
		}
	}

	//init all functions in view
	this.initViewParams = function(){
		// hide go to earn button
		$("#goEarnBut").addClass("none");
		
		// hide header and nav panel
		$(".header").addClass("none");
		$(".nav-block").addClass("none");
		
		// add class to ng-view
		$("#frameWrap").addClass("frame-wrapping");
	}
}]);

services_views.service("$newsView", ["$manager", "$location", "$dialogView", "$lang", function($manager, $location, $dialogView, $lang){
	var self = this;

	this.manageView = function($scope, response){
		if(response.status == Constant.OK_STATUS){
			this.okView($scope, response);
		}else{
			this.errView($scope, response);
		}
		$scope.$applyAsync();
	}
	
	this.okView = function($scope, response){
		switch(response.action){
			case "news":
				this.newsOk($scope, response);
				break;
			case "complete":
				this.completeOk($scope, response);
				break;
		}
	}
	
	this.errView = function($scope, response){
		switch(response.action){
			case "news":
				this.newsErr($scope, response);
				break;
			case "complete":
				this.completeErr($scope, response);
				break;
		}
	}
	
	this.newsOk = function($scope, response){
		$scope.news = response.data.news;
		if($scope.news.length == 0){
			$(".news-notasks-block:first").removeClass("none");
		}else{
			setTimeout(function(){
				for(n in $scope.news){
					eval($scope.news[n].getJs());	
				}
			}, 500);
		}
	}
	
	this.newsErr = function($scope, response){
		switch(response.data.errorCode){
			case Constant.ERR_CODE_CONNECTOR_NEWS:
				//nothing to do here
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}
	
	this.completeOk = function($scope, response){
		var user = $manager.instance.getUser();
		user.setCash(response.data.cash);
		$manager.instance.setCash();
		//set user data
		user.setPremium(response.data.premium);
		user.setTurbo(response.data.turbo);
		user.setAchieves(response.data.achieves);

		if(response.data.message != ""){
			$dialogView.showToast(response.data.message);
		}
	}
	
	this.completeErr = function($scope, response){
		switch(response.data.errorCode){
			case Constant.ERR_CODE_CONNECTOR_COMPLETE:
				$dialogView.showToast($dialogView.strings.newsServerErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}
	
	// show news in feed
	this.show = function(){
		$(".news-block:first").removeClass("none");
	}

	//init all functions in view
	this.initViewParams = function(){
		// show go to earn button
		$("#goEarnBut").removeClass("none");
		$("#goEarnBut").find("div").removeClass("goearn-but-bottom");

		// show header and nav panel
		$(".header").removeClass("none");
		$(".nav-block").removeClass("none");

		// add class to ng-view
		$("#frameWrap").addClass("frame-wrapping");

		// scroll view to top
		$("#frameWrap").scrollTop(0);
	}
}]);

services_views.service("$donateView", ["$rootScope", "$manager", "$dialogView", function($rootScope, $manager, $dialogView){
	var self = this;

	this.manageView = function($scope, response){
		if(response.status == Constant.OK_STATUS){
			this.okView($scope, response);
		}else{
			this.errView($scope, response);
		}
		$scope.$applyAsync();
	}
	
	this.okView = function($scope, response){
		switch(response.action){
			case "store":
				this.storeOk($scope, response);
				break;
		}
	}
	
	this.errView = function($scope, response){
		switch(response.action){
			case "store":
				this.storeErr($scope, response);
				break;
		}
	}
	
	this.storeOk = function($scope, response){
		
	}
	
	this.storeErr = function($scope, response){
		switch(response.data.errorCode){
			case Constant.ERR_CODE_LOAD_STORE:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}
	
	this.render = function(product){
		Log.d("RENDER", product.alias + " " + product.price);
		$("#"+product.id+"_title").text(product.alias);
		$("#"+product.id+"_price").text(product.price);
		if(product.type == store.PAID_SUBSCRIPTION){
			if(product.owned){
				$("#"+product.id+"_status").text("owned");
			}else{
				$("#"+product.id+"_status").text("not owned");
			}
		}
	}

	// set content and pick out content button
	this.setDonateContent = function($scope, id){
		$("#diamSel").removeClass("donate-select-active");
		$("#premSel").removeClass("donate-select-active");
		$("#turboSel").removeClass("donate-select-active");

		$("#diamBlock").addClass("none");
		$("#premBlock").addClass("none");
		$("#turboBlock").addClass("none");

		$("#" + id + "Sel").addClass("donate-select-active");
		$("#" + id + "Block").removeClass("none");
	}

	// init all functions in view
	this.initViewParams = function(){
		// hide go to earn button
		$("#goEarnBut").addClass("none");
		$("#goEarnBut").find("div").removeClass("goearn-but-bottom");

		// show header and nav panel
		$(".header").removeClass("none");
		$(".nav-block").removeClass("none");

		// add class to ng-view
		$("#frameWrap").addClass("frame-wrapping");

		// scroll view to top
		$("#frameWrap").scrollTop(0);
	}
}]);

services_views.service("$mainView", ["$manager", "$mainLang", "$rootScope", "$dialogView", "$demon", "$way", function($manager, $mainLang, $rootScope, $dialogView, $demon, $way){

	var self = this;
	var swipe = null;
	var guideNum = 1;
	this.isUpdating = false;
	this.scrollTop = 0;
	
	this.initSwipe = function(){
		var mainWrap = document.getElementById("mainWrap");
		swipe = new Swiper(mainWrap, Swiper.SELF, Swiper.screenHeight, "y", Swiper.BOT, 15, 0, function(type){
			switch(type){
				case Swiper.START:
					break;
				case Swiper.GOAL:
					$(".main-update-block").removeClass("none");
					break;
				case Swiper.ENABLE_END:
					if(!self.isUpdating){
						$(".main-update-image").addClass("rotating");
						self.isUpdating = true;
						var appElement = document.querySelector('[ng-controller=mainCtrl]');
						var $scope = angular.element(appElement).scope();
						$scope.update();
					}
					break;
				case Swiper.DISABLE_END:
					$(".main-update-image").removeClass("rotating");
					$(".main-update-block").addClass("none");
					break;
			}
		});
		swipe.setIsActive(true);
		scrollListener();
	}
	
	this.updateEnd = function(){
		self.isUpdating = false;
		$(".main-update-image").removeClass("rotating");
		$(".main-update-block").addClass("none");
		swipe.goStartPos();
		this.checkNewPosts();
	}

	function scrollListener(){
		document.getElementById("frame").addEventListener("scroll", scroll);
	}
	
	this.removeScrollListener = function(){
		document.getElementById("frame").removeEventListener("scroll", scroll);
	}
	
	function scroll(){
		Log.d("Scroll taskView", this.scrollTop);
		if(this.scrollTop == 0){
			swipe.setIsActive(true);
		}else{
			swipe.setIsActive(false);
		}
	}

	this.manageView = function($scope, response){
		if(response.status == Constant.OK_STATUS){
			this.okView($scope, response);
		}else{
			this.errView($scope, response);
		}
		$scope.$applyAsync();
	}
	
	this.okView = function($scope, response){
		switch(response.action){
			case "update":
				this.updateOk($scope, response);
				break;
			case "moreFields":
				this.moreFieldsOk($scope, response);
				break;
		}
	}
	
	this.errView = function($scope, response){
		switch(response.action){
			case "update":
				this.updateErr($scope, response);
				break;
			case "moreFields":
				this.moreFieldsErr($scope, response);
				break;
		}
	}
	
	this.moreFieldsOk = function($scope, response){
		$scope.posts = $manager.instance.getUser().getPosts();

		this.checkNewPosts();
		this.newPostsLoad(false);
	}
	
	this.moreFieldsErr = function($scope, response){
		this.newPostsLoad(false);
		switch(response.data.errorCode){
			case Constant.ERR_CODE_BROWSER_UPDATE:
				$dialogView.showToast($dialogView.strings.readErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}
	
	this.updateOk = function($scope, response){
		this.setInfo($scope, response.data);
		this.updateEnd();
	}
	
	this.updateErr = function($scope, response){
		this.updateEnd();
		switch(response.data.errorCode){
			case Constant.ERR_CODE_BROWSER_UPDATE:
				$dialogView.showToast($dialogView.strings.readErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_UPDATE:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}
	
	this.setInfo = function($scope, data){
		var user = $manager.instance.getUser();
		// set num of subscribers
		$scope.followersCount = user.getFollowedCount();
		// set num of you subscribe
		$scope.followingCount = user.getFollowsCount();
		// set num of posts
		$scope.postsCount = user.getPostsCount();
		// set posts
		$scope.posts = user.getPosts();
		// show noposts image if has no posts
		if($scope.posts.length == 0)
			$(".main-notasks-block").removeClass("none");

		// set user's level
		$scope.userLvl = user.getXpInfo().getLvl();
		// set user's expirience
		$scope.lvlProgress = ((user.getXpInfo().getXp() * 100) / 1000) + "%";
		// set user's avatar
		$rootScope.profileAvatar = user.getProfileAvatar();
		// set user's nickname
		$rootScope.nick = user.getNick();

		// set user's achievements
		this.setUserFeatures(user, data);
		// set user's deposit
		this.setCash(user.getCash());

		this.checkNewPosts();
	}
	
	// set current num of diamonds in header
	this.setCash = function(cash){
		$rootScope.deposit = cash.getDeposit();
	}

	this.checkNewPosts = function(){
		if($manager.instance.getUser().hasMorePosts())
			$(".main-more-block:first").removeClass("none");
		else
			$(".main-more-block:first").addClass("none");
	}

	// show or hide loading new images in "show more" button
	this.newPostsLoad = function(type){
		if(type){
			$(".main-more-text:first").addClass("none");
			$(".main-more-image:first").removeClass("none");
		}else{
			$(".main-more-text:first").removeClass("none");
			$(".main-more-image:first").addClass("none");
		}
	}
	
	// set premium and turbo icons and achivements on main page
	this.setUserFeatures = function(user, data){
		var $scope = angular.element(document.querySelector('[ng-controller=mainCtrl]')).scope();
		var premium = {};
		var turbo = {};
		var mass = [];
		
		// set premium icon
		if(+data.premium)
			premium.src = "images/premium.png";
		else
			premium.src = "images/premium_none.png";
		premium.href = '#/donate/premium';
		mass.push(premium);

		// set turbo icon
		switch(+data.turbo){
			case 0:
				turbo.src = "images/turbo_none.png";
				break;
			case 1:
			case 4:
				turbo.src = "images/turbo_1.png";
				break;
			case 2:
				turbo.src = "images/turbo_2.png";
				break;
			case 3:
				turbo.src = "images/turbo_3.png";
				break;
			default:
				turbo.src = "images/turbo_none.png";
		}

		turbo.href = '#/donate/turbo';
		mass.push(turbo);

		var achieves = user.getAchieves();
		for(var i=0; i<achieves.length; i++){
			var achieve = {};
			achieve.src = "images/achieves/" + achieves[i] +".png";
			achieve.href = 'javascript:void(0)';
			mass.push(achieve);
		}
		if(typeof $scope !== "undefined")
			$scope.achieves = mass;
	}

	// set first post to guide
	this.setGuidePost = function(){
		if($manager.instance.getUser().getPosts().length > 0){
			$rootScope.guidePost = $manager.instance.getUser().getPosts()[0];
		}
	}

	// show guide
	this.setGuideFirst = function(){
		// set white images and up to the front
		$(".header-right-diamonds-block").addClass("guide-zindex guide-relative");
		$(".nav-elem-bid:first").addClass("guide-zindex");
		$(".nav-elem-bid:first").attr("src", "images/nav_bid_active.png");
		$(".nav-elem-tasks:first").addClass("guide-zindex");
		$(".nav-elem-tasks:first").attr("src", "images/nav_tasks_active.png");
		$(".nav-elem-donate:first").addClass("guide-zindex");
		$(".nav-elem-donate:first").attr("src", "images/nav_donate_active.png");
		$(".nav-elem-main:first").addClass("guide-zindex");
		$(".nav-elem-news:first").addClass("guide-zindex");
		$(".nav-elem-news:first").attr("src", "images/nav_news_active.png");
		$(".guide-goearn-block:first").addClass("guide-zindex");

		// show guide makets
		$(".guide-block:first").removeClass("none");
		$(".guide-action:first").removeClass("none");

		$(".guide-action:first").bind('touchmove scroll', function(e){
			e.preventDefault();
		});
	}

	// set guide content
	this.setGuide = function(){
		if(guideNum == 1){
			// hide first step (remove white images and down elements)
			$(".header-right-diamonds-block").removeClass("guide-zindex guide-relative");
			$(".nav-elem-bid:first").removeClass("guide-zindex");
			$(".nav-elem-bid:first").attr("src", "images/nav_bid_inactive.png");
			$(".nav-elem-tasks:first").removeClass("guide-zindex");
			$(".nav-elem-tasks:first").attr("src", "images/nav_tasks_inactive.png");
			$(".nav-elem-donate:first").removeClass("guide-zindex");
			$(".nav-elem-donate:first").attr("src", "images/nav_donate_inactive.png");
			$(".nav-elem-main:first").removeClass("guide-zindex");
			$(".nav-elem-news:first").removeClass("guide-zindex");
			$(".nav-elem-news:first").attr("src", "images/nav_news_inactive.png");
			$(".guide-goearn-block:first").removeClass("guide-zindex");
			
			// hide blocks from first step
			$(".guide-diamonds:first").addClass("none");
			$(".guide-goearn-text:first").addClass("none");
			$(".guide-goearn-block:first").addClass("none");
			$(".guide-navs-block:first").addClass("none");
			
			// show blocks from second step(up quest)
			$(".guide-quest:first").removeClass("none");

			// change white circles and button text to second step
			$("#mainWrap").attr("style", "margin-top:-150px");
			$("#guideFirst").removeClass("guide-circle-active");
			$("#guideFirst").addClass("guide-circle-inactive");
			$("#guideSecond").removeClass("guide-circle-inactive");
			$("#guideSecond").addClass("guide-circle-active");
			$(".guide-but").text($dialogView.strings.guideReadyText);

			guideNum = 2;
		}else{
			// hide blocks from second step(down quest)
			$(".guide-quest:first").addClass("none");

			// show blocks from first step
			$(".guide-diamonds:first").removeClass("none");
			$(".guide-goearn-text:first").removeClass("none");
			$(".guide-goearn-block:first").removeClass("none");
			$(".guide-navs-block:first").removeClass("none");

			// change white circles and button text to first step
			$("#mainWrap").attr("style", "margin-top:0px");
			$("#guideFirst").removeClass("guide-circle-inactive");
			$("#guideFirst").addClass("guide-circle-active");
			$("#guideSecond").removeClass("guide-circle-active");
			$("#guideSecond").addClass("guide-circle-inactive");
			$(".guide-but").text($dialogView.strings.guideNextText);

			// hide guide makets
			$(".guide-block:first").addClass("none");
			$(".guide-action:first").addClass("none");

			guideNum = 1;
			
			$manager.instance.getBot().run(function(result){
				$dialogView.showToast($dialogView.strings.activeEarnText);
			});

			$way.playBack();
		}
	}

	//init all functions in view
	this.initViewParams = function(){
		// show go to earn button
		$("#goEarnBut").removeClass("none");
		$("#goEarnBut").find("div").removeClass("goearn-but-bottom");

		// show header and nav panel
		$(".header").removeClass("none");
		$(".nav-block").removeClass("none");

		// add class to ng-view
		$("#frameWrap").addClass("frame-wrapping");

		//scroll view to top
		$("#frameWrap").scrollTop(0);
	}
}]);


services_views.service("$tasksView", ["$manager", "$rootScope", "$action", "$mainView", "$dialogView", function($manager, $rootScope, $action, $mainView, $dialogView){
	var self = this;
	var swipeUpdate = null;
	this.initSwipeOk = false;
	this.scrollTop = 0;
	this.isUpdating = false;
	
	this.initSwipe = function(){
		Log.d("INIT_SWIPE", "swipe");
		var tasksWrap = document.querySelector(".tasks-wrap");
		swipeUpdate = new Swiper(tasksWrap, Swiper.SELF, Swiper.screenHeight, "y", Swiper.BOT, 15, 0, function(type){
			switch(type){
				case Swiper.START:
					break;
				case Swiper.GOAL:
					$(".tasks-update-block").removeClass("none");
					break;
				case Swiper.ENABLE_END:
					if(!self.isUpdating){
						$(".tasks-update-image").addClass("rotating");
						self.isUpdating = true;
						var appElement = document.querySelector('[ng-controller=tasksCtrl]');
						var $scope = angular.element(appElement).scope();
						$action.tasks($scope);
					}
					break;
				case Swiper.DISABLE_END:
					$(".tasks-update-image").removeClass("rotating");
					$(".tasks-update-block").addClass("none");
					break;
			}
		});
		this.initSwipeOk = true;
		swipeUpdate.setIsActive(true);
		scrollListener();
	}

	this.updateEnd = function(){
		self.isUpdating = false;
		$(".tasks-update-image").removeClass("rotating");
		$(".tasks-update-block").addClass("none");
		swipeUpdate.goStartPos();
	}

	function scrollListener(){
		document.getElementById("frame").addEventListener("scroll", scroll);
	}
	
	this.removeScrollListener = function(){
		document.getElementById("frame").removeEventListener("scroll", scroll);
	}
	
	function scroll(){
		Log.d("Scroll taskView", this.scrollTop);
		if(this.scrollTop == 0){
			swipeUpdate.setIsActive(true);
		}else{
			swipeUpdate.setIsActive(false);
		}
	}

	this.manageView = function($scope, response){
		if(response.status == Constant.OK_STATUS){
			this.okView($scope, response);
		}else{
			this.errView($scope, response);
		}
		$scope.$applyAsync();
	}
	
	this.okView = function($scope, response){
		switch(response.action){
			case "tasks":
				this.tasksOk($scope, response);
				break;
			case "delete":
				this.deleteOk($scope, response);
				break;
			case "refresh":
				this.refreshOk($scope, response);
				break;
		}
	}
	
	this.errView = function($scope, response){
		switch(response.action){
			case "tasks":
				this.tasksErr($scope, response);
				break;
			case "delete":
				this.deleteErr($scope, response);
				break;
			case "refresh":
				this.refreshErr($scope, response);
				break;
		}
	}
	
	this.tasksOk = function($scope, response){
		$scope.tasks = response.data.tasks;
		// if has no tasks set notasks image
		if($scope.tasks.length == 0){
			$(".tasks-notasks-block:first").removeClass("none");
		}
		if(this.initSwipeOk){
			this.updateEnd();
		}
	}

	this.tasksErr = function($scope, response){
		switch(response.data.errorCode){
			case Constant.ERR_CODE_CONNECTOR_TASKS:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}
	
	this.deleteOk = function($scope, response){
		var task = response.data.task;
		// hide delete task dialog
		$dialogView.hideDeleteTask();
		// remove task from list
		self.deleteTask(task.getId());
		$manager.instance.getUser().setCash(response.data.cash);
		$mainView.setCash(response.data.cash);
	}

	this.refreshOk = function($scope, response){
		var task = response.data.task;
		// remove refresh but and change color of task
		self.refreshTask($scope, task.getId());
	}
	
	this.deleteErr = function($scope, response){
		switch(response.data.errorCode){
			case Constant.ERR_CODE_CONNECTOR_DELETE:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}

	this.refreshErr = function($scope, response){
		switch(response.data.errorCode){
			case Constant.ERR_CODE_CONNECTOR_DELETE:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}

	this.deleteTask = function(id){
		$("#task_" + id).remove();
	}

	this.refreshTask = function($scope, id){
		// set border color status of task
		$("#task_" + id).find(".tasks-elem-topstatus").css("background-color", "#FEA719");
		// set text color status of task
		$("#task_" + id).find(".tasks-elem-textstatus").css("color", "#FEA719");
		// set text status of task
		$("#task_" + id).find(".tasks-elem-textstatus").text($scope.frozenStatus);
		// hide refresh but
		$("#task_" + id).find(".tasks-elem-hang").addClass("none");
	}

	//init all functions in view
	this.initViewParams = function(){
		// show go to earn button
		$("#goEarnBut").removeClass("none");
		$("#goEarnBut").find("div").removeClass("goearn-but-bottom");

		// show header and nav panel
		$(".header").removeClass("none");
		$(".nav-block").removeClass("none");

		// add class to ng-view
		$("#frameWrap").addClass("frame-wrapping");

		// scroll view to top
		$("#frameWrap").scrollTop(0);
	}
}]);

services_views.service("$earnView", ["$manager", "$rootScope", "$dialogView", function($manager, $rootScope, $dialogView){
	var self = this;

	this.manageView = function($scope, response){
		if(response.status == Constant.OK_STATUS){
			this.okView($scope, response);
		}else{
			this.errView($scope, response);
		}
		$scope.$applyAsync();
	}
	
	this.okView = function($scope, response){
		switch(response.action){
			case "run":
				this.runOk($scope, response);
				break;
			case "stop":
				this.stopOk($scope, response);
				break;
			case "callBoss":
				this.callBossOk($scope, response);
				break;
		}
	}
	
	this.errView = function($scope, response){
		switch(response.action){
			case "run":
				this.runErr($scope, response);
				break;
			case "stop":
				this.stopErr($scope, response);
				break;
			case "callBoss":
				this.callBossErr($scope, response);
				break;
		}
	}
	
	this.runOk = function($scope, response){
		this.setRunState(true);
	}

	this.runErr = function($scope, response){
		this.setRunState(false);

		switch(response.data.errorCode){
			case Constant.ERR_CODE_BOT_RUN:
				$dialogView.showToast($dialogView.strings.runErr);
				break;
		}
	}
	
	this.stopOk = function($scope, response){
		this.setRunState(false);
		$rootScope.stateDeposit = $manager.instance.getUser().getCash().getDeposit();
	}

	this.stopErr = function($scope, response){
		this.setRunState(true);
		
		switch(response.data.errorCode){
			case Constant.ERR_CODE_BOT_STOP:
				$dialogView.showToast($dialogView.strings.stopErr);
				break;
		}
	}
	
	this.callBossOk = function($scope, response){
		//response.wait != 0 then wait else - activate
	}
	
	this.callBossErr = function($scope, response){
		switch(response.data.errorCode){
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}

	$rootScope.setTaskTime = function(time){
		if(time == 0){
			if($(".earn-table-image:first").hasClass("none"))
				$(".earn-table-image:first").removeClass("none");

			if(!$(".earn-table-num:first").hasClass("none"))
				$(".earn-table-num:first").addClass("none");
		}else{
			if(!$(".earn-table-image:first").hasClass("none"))
				$(".earn-table-image:first").addClass("none");

			if($(".earn-table-num:first").hasClass("none"))
				$(".earn-table-num:first").removeClass("none");

			$(".earn-table-num:first").text(Math.floor(time / 1000));
		}
		

		self.showTaskTime(true);
	}

	this.showTaskTime = function(isShow){
		if(isShow)
			$(".earn-table-block:first").removeClass("none");
		else
			$(".earn-table-block:first").addClass("none");
	}

	this.setRunState = function(isRunnable){
		if(isRunnable){
			$(".earn-action-play-image:first").addClass("none");
			$(".earn-action-pause-image:first").removeClass("none");

			self.setManAndDrillAnim(isRunnable);
		}else{
			$(".earn-action-play-image:first").removeClass("none");
			$(".earn-action-pause-image:first").addClass("none");

			self.showTaskTime(isRunnable);

			self.setManAndDrillAnim(isRunnable);
		}
	}

	// set text speed of turbo
	this.setSpeed = function($scope){
		switch(parseInt($manager.instance.user.getTurbo())){
			case 0:
				$scope.powerVal = "100%";
				break;
			case 1:
				$scope.powerVal = "300%";
				break;
			case 2:
				$scope.powerVal = "500%";
				break;
			case 3:
				$scope.powerVal = "1000%";
				break;
			case 4:
				$scope.powerVal = "300%";
				break;
		}
	}

	this.setManAndDrill = function(){
		// remove class for big drills
		$(".earn-drill:first").removeClass("earn-drill-image-top");

		// set miner by lvl and drill image size
		var lvl = $manager.instance.getUser().getXpInfo().getLvl();
		if(lvl < 10){
			$(".earn-man-image:first").attr("src", "images/earn_man1.png");
			$(".earn-man-image:first").addClass("earn-man-image1");

			$(".earn-drill-image:first").addClass("earn-drill-image1");
		}else if(lvl < 20){
			$(".earn-man-image:first").attr("src", "images/earn_man2.png");
			$(".earn-man-image:first").addClass("earn-man-image2");

			$(".earn-drill-image:first").addClass("earn-drill-image1");
		}else if(lvl < 30){
			$(".earn-man-image:first").attr("src", "images/earn_man3.png");
			$(".earn-man-image:first").addClass("earn-man-image3");

			$(".earn-drill-image:first").addClass("earn-drill-image2");
		}else if(lvl < 40){
			$(".earn-man-image:first").attr("src", "images/earn_man4.png");
			$(".earn-man-image:first").addClass("earn-man-image4");

			$(".earn-drill-image:first").addClass("earn-drill-image3");
		}else{
			$(".earn-man-image:first").attr("src", "images/earn_man5.png");
			$(".earn-man-image:first").addClass("earn-man-image5");

			$(".earn-drill-image:first").addClass("earn-drill-image4");
		}

		// set drill image by turbo
		switch(parseInt($manager.instance.user.getTurbo())){
			case 0:
				$(".earn-drill-image:first").attr("src", "images/earn_drill_default.png");
				break;
			case 1:
				$(".earn-drill-image:first").attr("src", "images/earn_drill_turbo1.png");
				break;
			case 2:
				$(".earn-drill-image:first").attr("src", "images/earn_drill_turbo2.png");
				break;
			case 3:
				$(".earn-drill-image:first").attr("src", "images/earn_drill_turbo3.png");
				break;
			case 4:
				$(".earn-drill-image:first").attr("src", "images/earn_drill_turbo1.png");
				break;
		}
	}

	this.setManAndDrillAnim = function(isRun){
		if(isRun){
			$(".earn-man-image").addClass("miner-action");
			$(".earn-drill-image").addClass("miner-action");
		}else{
			$(".earn-man-image").removeClass("miner-action");
			$(".earn-drill-image").removeClass("miner-action");
		}
	}

	//init all functions in view
	this.initViewParams = function(){
		// hide go to earn button
		$("#goEarnBut").addClass("none");

		// hide header and nav panel
		$(".header").addClass("none");
		$(".nav-block").addClass("none");

		// add class to ng-view
		$("#frameWrap").addClass("frame-wrapping");
	}
}]);

services_views.service("$bidLikeView", ["$manager", "$mainView", "$dialogView", function($manager, $mainView, $dialogView){
	var self = this;

	this.manageView = function($scope, response){
		if(response.status == Constant.OK_STATUS){
			this.okView($scope, response);
		}else{
			this.errView($scope, response);
		}
		$scope.$applyAsync();
	}
	
	this.okView = function($scope, response){
		switch(response.action){
			case "bid":
				this.bidOk($scope, response);
				break;
			case "moreFields":
				this.moreFieldsOk($scope, response);
				break;
		}
	}
	
	this.errView = function($scope, response){
		switch(response.action){
			case "bid":
				this.bidErr($scope, response);
				break;
			case "moreFields":
				this.moreFieldsErr($scope, response);
				break;
		}
	}
	
	this.moreFieldsOk = function($scope, response){
		$scope.posts = $manager.instance.getUser().getPosts();

		this.checkNewPosts();
		this.newPostsLoad(false);
	}
	
	this.moreFieldsErr = function($scope, response){
		this.newPostsLoad(false);
		switch(response.data.errorCode){
			case Constant.ERR_CODE_BROWSER_UPDATE:
				$dialogView.showToast($dialogView.strings.readErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}
	
	this.bidOk = function($scope, response){
		self.setButAnim(false);
		$dialogView.showToast($dialogView.strings.bidOk);
		$mainView.setCash(response.data.cash);
	}
	
	this.bidErr = function($scope, response){
		self.setButAnim(false);
		switch(response.data.errorCode){
			case Constant.ERR_CODE_CONNECTOR_BID:
				$dialogView.showToast($dialogView.strings.bidFail);
				break;
			case Constant.ERR_CODE_BROWSER_BID:
				$dialogView.showToast($dialogView.strings.mhFail);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
			case Constant.ERR_CODE_BROWSER_PRIVATE:
				$dialogView.showPrivateAcc();
				break;
		}
	}
	
	this.setPosts = function($scope){
		$scope.posts = $manager.instance.getUser().getPosts();
		// set notasks image if has no posts
		if($scope.posts.length == 0){
			$('.bid-like-notasks-block:first').removeClass("none");
			$('.bid-like-list-block:first').css("padding-bottom", "0");
		}
	}

	this.checkNewPosts = function(){
		if($manager.instance.getUser().hasMorePosts())
			$(".bid-like-more-block:first").removeClass("none");
		else
			$(".bid-like-more-block:first").addClass("none");
	}

	// show or hide loading new images in "show more" button
	this.newPostsLoad = function(type){
		if(type){
			$(".bid-like-more-text:first").addClass("none");
			$(".bid-like-more-image:first").removeClass("none");
		}else{
			$(".bid-like-more-text:first").removeClass("none");
			$(".bid-like-more-image:first").addClass("none");
		}
	}

	// switch buttons on bottom
	this.switcherLikes = function($scope, num){
		switch(num){
			case 1:
				// switch buttons
				$('#butLikeList').addClass("bid-but-active");
				$('#butLikeLink').removeClass("bid-but-active");

				// switch content
				$('#blockLikeList').removeClass("none");
				$('#blockLikeLink').addClass("none");

				if($scope.posts.length == 0)
					$('.bid-like-notasks-block:first').removeClass("none");
			break;
			case 2:
				$('#butLikeList').removeClass("bid-but-active");
				$('#butLikeLink').addClass("bid-but-active");

				$('#blockLikeList').addClass("none");
				$('#blockLikeLink').removeClass("none");

				$('.bid-like-notasks-block:first').addClass("none");
			break;
		}
	}
	
	this.setPrice = function($scope, price, num){
		if(num == 1)
			$scope.price = price;
		else
			$scope.price = "";
	}

	// show or hide loading in button
	this.setButAnim = function(isAnim){
		if(isAnim){
			$("#likeSend").addClass("none");
			$("#likeSendAnim").removeClass("none");
		}else{
			$("#likeSend").removeClass("none");
			$("#likeSendAnim").addClass("none");
		}
	}

	//init all functions in view
	this.initViewParams = function(){
		// show go to earn button
		$("#goEarnBut").removeClass("none");
		$("#goEarnBut").find("div").addClass("goearn-but-bottom");

		// show header and nav panel
		$(".header").removeClass("none");
		$(".nav-block").removeClass("none");

		// add class to ng-view
		$("#frameWrap").addClass("frame-wrapping");

		// scroll view to top
		$("#frameWrap").scrollTop(0);
	}
}]);

services_views.service("$bidSubsView", ["$manager", "$dialogView", "$mainView", function($manager, $dialogView, $mainView){
	var self = this;

	this.manageView = function($scope, response){
		if(response.status == Constant.OK_STATUS){
			this.okView($scope, response);
		}else{
			this.errView($scope, response);
		}
		$scope.$applyAsync();
	}
	
	this.okView = function($scope, response){
		switch(response.action){
			case "bid":
				this.bidOk($scope, response);
				break;
		}
	}
	
	this.errView = function($scope, response){
		switch(response.action){
			case "bid":
				this.bidErr($scope, response);
				break;
		}
	}
	
	this.bidOk = function($scope, response){
		self.setButAnim(); 											//without params - remove all animations
		$dialogView.showToast($dialogView.strings.bidOk);
		$mainView.setCash(response.data.cash);
	}
	
	this.bidErr = function($scope, response){
		self.setButAnim();											//without params - remove all animations
		switch(response.data.errorCode){
			case Constant.ERR_CODE_CONNECTOR_BID:
				$dialogView.showToast($dialogView.strings.bidFail);
				break;
			case Constant.ERR_CODE_BROWSER_BID:
				$dialogView.showToast($dialogView.strings.mhFail);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;

		}
	}

	this.checkSubscribeSetting = function(){
		if($manager.instance.getUser().getSetting(Constant.SUBSCRIBE_SETTING) == 1 || $manager.instance.getUser().getPremium()){
			$(".bid-subs-accept-block:first").addClass("none");
			$('#blockSubsAcc').removeClass("none");
			$("#subsBotButtons").removeClass("none");
			$("#goEarnBut").removeClass("none");
		}else{
			$(".bid-subs-accept-block:first").removeClass("none");
			$("#subsBotButtons").addClass("none");
			$("#goEarnBut").addClass("none");
		}
	}

	this.acceptSubscribe = function(){
		$(".bid-subs-accept-block:first").addClass("none");
		$('#blockSubsAcc').removeClass("none");
		$("#subsBotButtons").removeClass("none");
		$("#goEarnBut").removeClass("none");

		var val = $manager.instance.getUser().getSetting(Constant.SUBSCRIBE_SETTING) == 1 ? 0 : 1;
		$manager.instance.getDataManager().setSetting(Constant.SUBSCRIBE_SETTING, val, function(){});
	}

	// switch buttons on bottom
	this.switcherSubs = function(num){
		switch(num){
			case 1:
				//переключить кнопки
				$('#butSubsAcc').addClass("bid-but-active");
				$('#butSubsLink').removeClass("bid-but-active");

				//переключить контент
				$('#blockSubsAcc').removeClass("none");
				$('#blockSubsLink').addClass("none");
			break;
			case 2:
				$('#butSubsAcc').removeClass("bid-but-active");
				$('#butSubsLink').addClass("bid-but-active");

				$('#blockSubsAcc').addClass("none");
				$('#blockSubsLink').removeClass("none");
			break;
		}
	}
	
	this.setPrice = function($scope, price, num){
		if(num == 1)
			$scope.priceAcc = price;
		else if(num == 2)
			$scope.priceLink = price;
		else{
			$scope.priceAcc = "";
			$scope.priceLink = "";
		}
	}

	// show or hide loading in button
	this.setButAnim = function(num, isAnim){
		if(num == 1){
			if(isAnim){
				$("#subsAccSend").addClass("none");
				$("#subsAccSendAnim").removeClass("none");
			}else{
				$("#subsAccSend").removeClass("none");
				$("#subsAccSendAnim").addClass("none");
			}
		}else if(num == 2){
			if(isAnim){
				$("#subsLinkSend").addClass("none");
				$("#subsLinkSendAnim").removeClass("none");
			}else{
				$("#subsLinkSend").removeClass("none");
				$("#subsLinkSendAnim").addClass("none");
			}
		}else{
			$("#subsAccSendAnim").addClass("none");
			$("#subsLinkSendAnim").addClass("none");
			
			$("#subsAccSend").removeClass("none");
			$("#subsLinkSend").removeClass("none");
		}
	}

	//init all functions in view
	this.initViewParams = function(){
		// show go to earn button
		$("#goEarnBut").addClass("none");
		$("#goEarnBut").find("div").addClass("goearn-but-bottom");

		// show header and nav panel
		$(".header").removeClass("none");
		$(".nav-block").removeClass("none");

		// add class to ng-view
		$("#frameWrap").addClass("frame-wrapping");

		// check is user know, he will subscribe on people too
		this.checkSubscribeSetting();
	}
}]);

services_views.service("$navView", function(){
	var self = this;
	
	// set background to buttons in navigation
	this.setNavBut = function(view){
		self.originButState();

		switch(view){
			case Constant.BID_VIEW:
				$(".nav-elem-block").eq(0).addClass('nav-active');
				$('.nav-elem-bid').attr("src", "images/nav_bid_active.png");
				break;
			case Constant.TASKS_VIEW:
				$(".nav-elem-block").eq(1).addClass('nav-active');
				$('.nav-elem-tasks').attr("src", "images/nav_tasks_active.png");
				break;
			case Constant.DONATE_VIEW:
				$(".nav-elem-block").eq(2).addClass('nav-active');
				$('.nav-elem-donate').attr("src", "images/nav_donate_active.png");
				break;
			case Constant.MAIN_VIEW:
				$(".nav-elem-block").eq(3).addClass('nav-active');
				$('.nav-elem-main').attr("src", "images/nav_main_active.png");
				break;
			case Constant.NEWS_VIEW:
				$(".nav-elem-block").eq(4).addClass('nav-active');
				$('.nav-elem-news').attr("src", "images/nav_news_active.png");

				// clear number of news
				$("#newsCounter").addClass("none");
				break;
		}
	}

	// delete background button before setting
	this.originButState = function(){
		$(".nav-elem-block").each(function(){
			$(this).removeClass('nav-active');
		});
		$('.nav-elem-bid').attr("src", "images/nav_bid_inactive.png");
		$('.nav-elem-tasks').attr("src", "images/nav_tasks_inactive.png");
		$('.nav-elem-donate').attr("src", "images/nav_donate_inactive.png");
		$('.nav-elem-main').attr("src", "images/nav_main_inactive.png");
		$('.nav-elem-news').attr("src", "images/nav_news_inactive.png");
	}

	// set a num of news in nav icon
	this.setNewsCount = function(num){
		if(num == 0){
			$("#newsCounter").addClass("none");
		}else{
			$("#newsCounter").removeClass("none");
			$("#newsCounter .nav-news-counter-num").text(num);
		}
	}
});


services_views.service("$settingsView", ["$manager", "$location", "$dialogView", "$demon", "$keyboardMonster", function($manager, $location, $dialogView, $demon, $keyboardMonster){
	var self = this;
	
	this.manageView = function($scope, response){
		if(response.status == Constant.OK_STATUS){
			this.okView($scope, response);
		}else{
			this.errView($scope, response);
		}
		$scope.$applyAsync();
	}
	
	this.okView = function($scope, response){
		switch(response.action){
			case "logout":
				this.logoutOk($scope, response);
				break;
			case "version":
				this.versionOk($scope, response);
				break;
			case "apps":
				this.appsOk($scope, response);
				break;
		}
	}
	
	this.errView = function($scope, response){
		switch(response.action){
			case "logout":
				this.logoutErr($scope, response);
				break;
		}
	}

	this.logoutOk = function($scope, response){
		$demon.stopNewsDemon();
		$("#goEarnBut").addClass("none");
		$keyboardMonster.clear();
		$location.path("/login");					//go to main and show mainActivity
	}

	this.logoutErr = function($scope, response){
		switch(response.data.errorCode){
			case Constant.ERR_CODE_BROWSER_LOGOUT:
				$dialogView.showToast($dialogView.strings.readErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_LOGOUT:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
			case Constant.ERR_CODE_DATA_CLEAR:
				$dialogView.showToast($dialogView.strings.writeErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}
	
	this.versionOk = function($scope, response){
		var curV = $manager.instance.getAppVersion().split(".").join("");
		var newV = response.data.version.split(".").join("");
		if(parseInt(curV) < parseInt(newV)){
			$scope.versionText = $scope.newVersionText + response.data.version;
			$(".settings-version:first").removeClass("none");
		}
	}

	// set our applications
	this.appsOk = function($scope, response){
		$scope.apps = response.data.apps;

		if(response.data.apps.length > 0){
			if($manager.instance.getUser().isSafeUser()){
				$(".settings-otherapp-block:first").removeClass("none");
				$(".settings-rate-forborder").each(function(){
					$(this).addClass("settings-bottom-border");
				});
			}
		}
	}
	
	// open social links or send mail
	this.openService = function(service, windowObj){
		switch(service){
			case "mail":
				if(Constant.CUR_DEVICE == Constant.ANDROID_DEVICE)
					windowObj.location = "mailto:" + Constant.MAIL;
				else
					windowObj.plugins.emailComposer.showEmailComposer("", "", [Constant.MAIL]);
				break;
			case "vk":
				if(Constant.CUR_DEVICE == Constant.ANDROID_DEVICE)
					navigator.app.loadUrl('https://vk.com/ruboss_tech', {openExternal : true});
				else
					windowObj.open('https://vk.com/ruboss_tech', '_service', 'location=yes');
				break;
			case "fb":
				if(Constant.CUR_DEVICE == Constant.ANDROID_DEVICE)
					navigator.app.loadUrl('https://www.facebook.com/ruboss.tech', {openExternal : true});
				else
					windowObj.open('https://www.facebook.com/ruboss.tech', '_service', 'location=yes');
				break;
			case "tw":
				if(Constant.CUR_DEVICE == Constant.ANDROID_DEVICE)
					navigator.app.loadUrl('https://twitter.com/ruboss_tech', {openExternal : true});
				else
					windowObj.open('https://twitter.com/ruboss_tech', '_service', 'location=yes');
				break;
		}
	}

	// turn on guide
	this.watchGuide = function(){
		$manager.instance.getUser().setSetting(Constant.FIRSTTIME_SETTING, 1);
		$location.path("/main");
	}

	this.showPrivacy = function(windowObj){
		windowObj.location = "#/privacy";
	}

	this.setPremiumSwitcher = function(){
		if($manager.instance.getUser().getPremium()){
			$("#premBut").css("background-image", "url(images/settings_switcher_active.png)");
			$("#premFollBlock").removeClass("settings-content-elem-disable");
			
			$("#premBut").parent().click(function(){
				return false;
			});
			
			$("#premFollBut").click(function(){
				var val = $manager.instance.getUser().getSetting(Constant.SUBSCRIBE_SETTING) == 1 ? 0 : 1;
				$manager.instance.getDataManager().setSetting(Constant.SUBSCRIBE_SETTING, val, function(){
					self.setFollowingSwitcher();
				});
			});
		}
	}

	this.setFollowingSwitcher = function(){
		if($manager.instance.getUser().getSetting(Constant.SUBSCRIBE_SETTING) == 1){
			$("#premFollBut").css("background-image", "url(images/settings_switcher_active.png)");
		}else{
			$("#premFollBut").css("background-image", "url(images/settings_switcher_inactive.png)");
		}
	}

	this.setAutoEarning = function(){
		setAutoEarnBut($manager.instance.getUser().getSetting(Constant.AUTOEARN_SETTING));

		$("#autoEarnBut").click(function(){
			var val = $manager.instance.getUser().getSetting(Constant.AUTOEARN_SETTING) == 1 ? 0 : 1;
			$manager.instance.getDataManager().setSetting(Constant.AUTOEARN_SETTING, val, function(){
				setAutoEarnBut(val);
			})
		});

		function setAutoEarnBut(isOn){
			if(isOn){
				$("#autoEarnBut").css("background-image", "url(images/settings_switcher_active.png)");
			}else{
				$("#autoEarnBut").css("background-image", "url(images/settings_switcher_inactive.png)");
			}
		}
	}

	// set link on every our applications
	this.setLinkOnApp = function(appId){
		navigator.app.loadUrl("https://play.google.com/store/apps/details?id=" + appId, {openExternal : true});
	}

	// set link on every our applications
	this.setImageOnApp = function(num){
		$(".settings-otherapp-elem-image:eq(" + num + ")").removeClass("none");
	}

	//init all functions in view
	this.initViewParams = function(){
		// hide go to earn button
		$("#goEarnBut").addClass("none");

		// hide header and nav panel
		$(".header").addClass("none");
		$(".nav-block").addClass("none");

		// scroll view to top
		$("#frameWrap").scrollTop(0);

		self.setPremiumSwitcher();
		self.setFollowingSwitcher();
		self.setAutoEarning();
	}
}]);


services_views.service("$authTroubleView", function(){
	var self = this;

	this.feedBackUs = function(windowObj){
		if(Constant.CUR_DEVICE == Constant.ANDROID_DEVICE)
			windowObj.location = "mailto:" + Constant.MAIL;
		else
			windowObj.plugins.emailComposer.showEmailComposer("", "", [Constant.MAIL]);
	}

	//init all functions in view
	this.initViewParams = function(){
		// scroll view to top
		$("#frameWrap").scrollTop(0);
	}
});


services_views.service("$topView", ["$manager", "$dialogView", function($manager, $dialogView){

	var timer;
	var self = this;
	
	this.manageView = function($scope, response){
		if(response.status == Constant.OK_STATUS){
			this.okView($scope, response);
		}else{
			this.errView($scope, response);
		}
		$scope.$applyAsync();
	}
	
	this.okView = function($scope, response){
		switch(response.action){
			case "top":
				this.topOk($scope, response);
				break;
		}
	}
	
	this.errView = function($scope, response){
		switch(response.action){
			case "top":
				this.topErr($scope, response);
				break;
		}
	}
	
	this.topOk = function($scope, response){
		$scope.tops = response.data.tops;

		// set time before the end of competition
		setTimer(response.data.left);

		// set user info in competition
		setTopUserInfo($scope, response.data.tops);
	}
	
	this.topErr = function($scope, response){
		switch(response.data.errorCode){
			case Constant.ERR_CODE_CONNECTOR_TOP:
				$dialogView.showToast($dialogView.strings.readErr);
				break;
			case Constant.ERR_CODE_CONNECTOR_CONNECTION:
				$dialogView.showToast($dialogView.strings.connectErr);
				break;
		}
	}
	
	// show dialog with prizes in top
	this.showHelpDialog = function(){
		$(".top-dialog-block:first").removeClass("none");
	}
	
	// hide dialog with prizes in top
	this.hideHelpDialog = function(){
		$(".top-dialog-block:first").addClass("none");
	}

	this.clearTimer = function(){
		clearInterval(timer);
	}

	function setTimer(seconds){
		var numsec = seconds;
		var ONE_HOUR = 3600;
		var ONE_MINUTE = 60;

		setTime();

		timer = setInterval(function(){
			if(numsec < 0)
				numsec = 86399;
			setTime();
		}, 1000);

		function getTime(){
			var hours = parseInt(numsec / ONE_HOUR);
			var mins = parseInt((numsec - (hours * ONE_HOUR)) / ONE_MINUTE);
			var secs = parseInt((numsec - (hours * ONE_HOUR)) - (mins * ONE_MINUTE));

			return setNull(hours) + ":" + setNull(mins) + ":" + setNull(secs);
		}

		function setTime(){
			$(".top-time:first").text(getTime());
			numsec--;
		}

		function setNull(num){
			return (num > 9) ? num : "0"+num;
		}
	}

	function setTopUserInfo($scope, tops){
		// set nickname in userpos
		$scope.userposNick = $manager.instance.getUser().getNick();

		for(var i = 0; i < $scope.tops.length; i++){
			if(tops[i].getLogin() === $scope.userposNick){
				$(".top-userpos-tasks:first").removeClass("none");
				// set completed tasks by user in userpos
				$scope.completedTasks = tops[i].getCount();
				// set completed tasks by user in userpos
				$scope.userposPlace = tops[i].getPlace();
			}
		}
	}

	function cancelEvents(){
		$(".top-dialog-block").bind("scroll touchmove", function(e){
			e.preventDefault();
		});

		$(".top-dialog-content:first").click(function(){
			return false;
		});
	}

	//init all functions in view
	this.initViewParams = function(){
		// hide go to earn button
		$("#goEarnBut").addClass("none");

		// hide header and nav panel
		$(".header").addClass("none");
		$(".nav-block").addClass("none");

		// scroll view to top
		$("#frameWrap").scrollTop(0);

		// cancel events on page
		cancelEvents();
	}
}]);


services_views.service("$adView", ["$manager", "$adLoader", function($manager, $adLoader){
	var isInit = false;
	var self = this;
	var isLoaded = false;
	var canShowAd = false;
	var isFirst = true;
	var mode = Constant.AD_MOB_MODE;
	
	this.showAd = function(){
		if(isLoaded && canShowAd && !$manager.instance.getUser().getPremium()){
			if(mode == Constant.AD_MOB_MODE){
				AdMob.showInterstitial();
			}else if(mode == Constant.AD_MINE_MODE){
				$adLoader.show();
			}
		}
	}
	
	document.addEventListener("onAdLoaded", function (e) {
		self.loaded();
	});
	
	document.addEventListener("onAdDismiss", function (e){
		self.dismiss();
	});
	
	this.loaded = function(){
		isLoaded = true;
		var timeout = isFirst ? Constant.AD_INTERVAL_START : Constant.AD_INTERVAL;
		isFirst = false;
		setTimeout(function(){
			canShowAd = true;
		}, timeout);
	}
	
	this.dismiss = function(){
		isLoaded = false;
		canShowAd = false;
		if(mode == Constant.AD_MOB_MODE){
			AdMob.prepareInterstitial({adId:Constant.AD_ID, autoShow:false});
		}else if(mode == Constant.AD_MINE_MODE){
			$adLoader.prepareNext();
		}
	}
	
	this.init = function(){
		if(!isInit){
			isInit = true;
			$manager.instance.getConnector().ads(function(result){
				if(result.status == Constant.OK_STATUS && $manager.instance.getUser().isSafeUser()){
					if(result.ads.length > 0 && $manager.instance.getUser().isSafeUser()){
						//mode = Constant.AD_MINE_MODE;
					}
				}
				if(mode == Constant.AD_MOB_MODE){
					self.prepareAdMob();
				}else if(mode == Constant.AD_MINE_MODE){
					self.prepareAdMine(result);
				}
			});
		}
	}
	
	this.prepareAdMob = function(){
		if(AdMob && !$manager.instance.getUser().getPremium()){
			setTimeout(function(){
					AdMob.prepareInterstitial( {adId:Constant.AD_ID, autoShow:false} );
			}, Constant.AD_TIMEOUT_BEGIN);
		}
	}
	
	this.prepareAdMine = function(result){
		if(!$manager.instance.getUser().getPremium()){
			setTimeout(function(){
					$adLoader.prepare(self, result.ads);
			}, Constant.AD_TIMEOUT_BEGIN);
		}
	}
	
	this.setMode = function(m){
		mode = m;
	}
}]);

services_views.service("$lvlPrizeView", function(){
	var self = this;
	
	// set prizes for levels
	this.setItems = function($scope){
		var arr = [];
		for(var i = 1; i <= 50; i++){
			var points = {};
			if(i < 10){
				points.num = i + $scope.lvlLevelText;
				points.text = "x" + getBonusForLvl(i) + "<img class='lvlprize-coins-image' src='images/diamonds_red.png'>";
			}else if(i < 20){
				points.num = i + $scope.lvlLevelText;
				points.text = "x" + getBonusForLvl(i) + "<img class='lvlprize-coins-image' src='images/diamonds_red.png'>" + ", x1" + "<img class='lvlprize-box-image' src='images/lvlprize_box.png'>";
			}else if(i == 20){
				points.num = i + $scope.lvlLevelText;
				points.text = "x" + getBonusForLvl(i) + "<img class='lvlprize-coins-image' src='images/diamonds_red.png'>" + ", x1" + "<img class='lvlprize-other-image' src='images/turbo_1.png'>" + $scope.turboPrizeText;
			}else if(i < 40){
				points.num = i + $scope.lvlLevelText;
				points.text = "x" + getBonusForLvl(i) + "<img class='lvlprize-coins-image' src='images/diamonds_red.png'>" + ", x1" + "<img class='lvlprize-box-image' src='images/lvlprize_box.png'>";
			}else if(i == 40){
				points.num = i + $scope.lvlLevelText;
				points.text = "x" + getBonusForLvl(i) + "<img class='lvlprize-coins-image' src='images/diamonds_red.png'>" + ", x1" + "<img class='lvlprize-other-image' src='images/premium.png'>";
			}else{
				if(i == 50)
					points.num = i + "+";
				else
					points.num = i + $scope.lvlLevelText;
				points.text = "x" + getBonusForLvl(i) + "<img class='lvlprize-coins-image' src='images/diamonds_red.png'>" + ", x1" + "<img class='lvlprize-box-image' src='images/lvlprize_box.png'>";
			}
			arr[i-1] = points;
		}
		$scope.points = arr;
	}

	// num of diamonds for level
	function getBonusForLvl(lvl){
		var bonus = 0;
		if(lvl <= 40){
			var hard = Math.ceil(lvl / Config.HARD_RANGE);
			bonus = hard * Config.STEP_BONUS_PER_HARD;
		}else{
			bonus = Config.LEGEND_LVL_BONUS_SUM;
		}
		return bonus;
	}

	//init all functions in view
	this.initViewParams = function(){
		// hide go to earn button
		$("#goEarnBut").addClass("none");

		// hide header and nav panel
		$(".header").addClass("none");
		$(".nav-block").addClass("none");

		// scroll view to top
		$("#frameWrap").scrollTop(0);
	}
});

services_views.service("$guideView", ["$mainView", function($mainView){

	// next guide
	this.setActionClick = function(){
		$(".guide-action:first").click(function(){
			$mainView.setGuide();
		});
	}
	
}]);

services_views.service("$mineAdView", ["$adLoader", function($adLoader){

	this.handleAd = function(windowObj, num){
		$adLoader.dismiss(windowObj, num);
	}
}]);

services_views.service("$privacyView", function(){
	var self = this;

	//init all functions in view
	this.initViewParams = function(){
		// scroll view to top
		$("#frameWrap").scrollTop(0);
	}
});