function Lang(){}

Lang.getLang = function(lang_code, view){
	var lang = null;
	switch(view){
		case Constant.LOGIN_VIEW:
			lang = Lang.getLogin(lang_code);
			break;
		case Constant.NEWS_VIEW:
			lang = Lang.getNews(lang_code);
			break;
		case Constant.MAIN_VIEW:
			lang = Lang.getMain(lang_code);
			break;
		case Constant.TASKS_VIEW:
			lang = Lang.getTasks(lang_code);
			break;
		case Constant.EARN_VIEW:
			lang = Lang.getEarn(lang_code);
			break;
		case Constant.BID_VIEW:
			lang = Lang.getBid(lang_code);
			break;
		case Constant.NAV_VIEW:
			lang = Lang.getNav(lang_code);
			break;
		case Constant.DONATE_VIEW:
			lang = Lang.getDonate(lang_code);
			break;
		case Constant.SETTINGS_VIEW:
			lang = Lang.getSettings(lang_code);
			break;
		case Constant.DIALOG_VIEW:
			lang = Lang.getDialog(lang_code);
			break;
		case Constant.BOT_VIEW:
			lang = Lang.getBot(lang_code);
			break;
		case Constant.MESSAGES_VIEW:
			lang = Lang.getMessages(lang_code);
			break;
		case Constant.CORRECT_VIEW:
			lang = Lang.getCorrects(lang_code);
			break;
		case Constant.AUTHTROUBLE_VIEW:
			lang = Lang.getAuthTrouble(lang_code);
			break;
		case Constant.GUIDE_VIEW:
			lang = Lang.getGuide(lang_code);
			break;
		case Constant.TOP_VIEW:
			lang = Lang.getTop(lang_code);
			break;
		case Constant.LVLPRIZE_VIEW:
			lang = Lang.getLvlPrize(lang_code);
			break;
		case Constant.MINEAD_VIEW:
			lang = Lang.getMineAd(lang_code);
			break;
		case Constant.PRIVACY_VIEW:
			lang = Lang.getPrivacy(lang_code);
			break;
	}
	return lang;
}

Lang.getLogin = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				authText: "Authorization",
				signupTextFirst: "When you click on",
				signupTextSecond: "authorization",
				signupTextThird: "you are accepting",
				privacyLinkText: "the user agreement",
				troubleText: "Troubles with authorization?"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				authText: "Авторизация",
				signupTextFirst: "Нажимая на кнопку",
				signupTextSecond: "авторизация,",
				signupTextThird: "Вы соглашаетесь с",
				privacyLinkText: "пользовательским соглашением",
				troubleText: "Произошла проблема с авторизацией?"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				authText: "Authorisierung",
				signupTextFirst: "Drueckend die Taste",
				signupTextSecond: "authorisierung",
				signupTextThird: "Sie bestimmen die Nutzungsvereinbarung",
				privacyLinkText: "nutzungsvereinbarung",
				troubleText: "Hat das Problemm mit der Authorisierung passiert?"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				authText: "La autorizacion",
				signupTextFirst: "Haciendo clic en el boton",
				signupTextSecond: "la autorizacion",
				signupTextThird: "Se acuerda con",
				privacyLinkText: "el consenso del usario",
				troubleText: "Tiene el problema con la autorizacion?"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				authText: "Autorisation",
				signupTextFirst: "En cliquant sur le bouton",
				signupTextSecond: "autorisation",
				signupTextThird: "vous acceptez",
				privacyLinkText: "l'Accord de l'utilisateur.",
				troubleText: "Un probleme d'autorisation?"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				authText: "Autorizzazione",
				signupTextFirst: "Cliccando sul pulsante",
				signupTextSecond: "autorizzazione",
				signupTextThird: "siete d'accordo con",
				privacyLinkText: "le condizioni d'uso",
				troubleText: "è successo un problema con l'autorizzazione?"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				authText: "Yetki",
				signupTextFirst: "Düğmesine tıklayın",
				signupTextSecond: "yetki",
				signupTextThird: "Siz katılıyorum",
				privacyLinkText: "kullanıcı sözleşmesi",
				troubleText: "Yetki ile ilgili bir sorun vardı?"
			};
			break;
	}
	return lang;
}

Lang.getNews = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				noNewsText: "At the moment there is no news"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				noNewsText: "На данный момент нет никаких новостей"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				noNewsText: "Im Moment gibt es keine Nachrichten"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				noNewsText: "Por el momento no hay noticias"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				noNewsText: "À l'heure actuelle il n'y a pas de nouvelles"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				noNewsText: "Al momento non si hanno notizie"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				noNewsText: "Şu anda hiçbir haber yoktur"
			};
			break;
	}
	return lang;
}

Lang.getMain = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				followersText: "Followers",
				followingText:  "Following",
				postsText: "Posts",
				levelText: "Level",
				noPostsText: "You have no posts yet",
				morePostsText: "Show more"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				followersText: "Подписчики",
				followingText:  "Подписки",
				postsText: "Посты",
				levelText: "Уровень",
				noPostsText: "У Вас пока нет ни одного поста",
				morePostsText: "Показать еще"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				followersText: "Followers",
				followingText:  "Folgende",
				postsText: "Beiträge",
				levelText: "Stand",
				noPostsText: "Sie haben noch keine Fragen",
				morePostsText: "Mehr anzeigen"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				followersText: "Los suscriptores",
				followingText:  "Siguiendo",
				postsText: "Mensajes",
				levelText: "Nivel",
				noPostsText: "No tiene ninguna pregunta todavia",
				morePostsText: "Mostrar más"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				followersText: "Abonnes",
				followingText:  "Suivant",
				postsText: "des postes",
				levelText: "Niveau",
				noPostsText: "Vous n'avez pas de questions",
				morePostsText: "Afficher plus"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				followersText: "Abbonati",
				followingText:  "A seguire",
				postsText: "Messaggi",
				levelText: "Livello",
				noPostsText: "Lei per ora non ha nessuna domanda",
				morePostsText: "Mostra più"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				followersText: "Takipçiler",
				followingText:  "Aşağıdaki",
				postsText: "Mesajları",
				levelText: "Seviye",
				noPostsText: "Sizin herhangi bir sorunuz yok",
				morePostsText: "Daha fazla göster"
			};
			break;
	}
	return lang;
}

Lang.getDialog = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				dialogPh: "Enter likes count",
				diamondsText: "Diamonds",
				sendText:  "Order",
				privateAccHead: "Error!<br>Private account",
				privateAccText: "You are trying to make order on a private account, please open an account if you want to get likes!",
				privateAccBut: "Ok",
				deleteTaskHead: "CONFIRM DELETE",
				deleteTaskCancel: "Cancel",
				deleteTaskDelete: "Delete"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				dialogPh: "Введите количество лайков",
				diamondsText: "Диаманты",
				sendText:  "Заказать",
				privateAccHead: "Ошибка!<br>Приватный аккаунт",
				privateAccText: "Вы пытаетесь сделать заказ на приватный аккаунт, пожалуйста, откройте его, если вы хотите накрутить лайки!",
				privateAccBut: "Ок",
				deleteTaskHead: "ПОДТВЕРДИТЬ УДАЛЕНИЕ",
				deleteTaskCancel: "Отмена",
				deleteTaskDelete: "Удалить"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				dialogPh: "Fuehren Sie die Likesanzahl zu",
				diamondsText: "Diamanten",
				sendText: "bestellen",
				privateAccHead: "Fehler!<br>Privater konto",
				privateAccText: "Sie versuchen, um auf ein Privatkonto zu machen, benutzen Sie bitte ein Konto eröffnen, wenn Sie gerne zu bekommen!",
				privateAccBut: "Ok",
				deleteTaskHead: "LÖSCHEN BESTÄTIGEN",
				deleteTaskCancel: "Stornieren",
				deleteTaskDelete: "Löschen"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				dialogPh: "Inserte el numero de me gusta",
				diamondsText: "Diamantos",
				sendText:  "Encargar",
				privateAccHead: "Error!<br>Cuenta privada",
				privateAccText: "Usted está tratando de poner orden en una cuenta privada, por favor abra una cuenta si desea obtener gustos!",
				privateAccBut: "Ok",
				deleteTaskHead: "CONFIRMAR ELIMINACIÓN",
				deleteTaskCancel: "Cancelar",
				deleteTaskDelete: "Borrar"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				dialogPh: "Saisissez le nombre de comme",
				diamondsText: "Diamants",
				sendText:  "Commander",
				privateAccHead: "Erreur!<br>Compte privé",
				privateAccText: "Vous essayez de faire l'ordre sur un compte privé, s'il vous plaît ouvrir un compte si vous voulez obtenir goûts!",
				privateAccBut: "Ok",
				deleteTaskHead: "CONFIRMATION DE LA SUPPRESSION",
				deleteTaskCancel: "Annuler",
				deleteTaskDelete: "Effacer"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				dialogPh: "La quantità dei likes",
				diamondsText: "Diamanti",
				sendText:  "Ordinare",
				privateAccHead: "Errore!<br>Account privato",
				privateAccText: "Si sta cercando di fare ordine su un conto privato, si prega di aprire un conto, se si desidera ottenere calibro!",
				privateAccBut: "Ok",
				deleteTaskHead: "CONFERMA CANCELLAZIONE",
				deleteTaskCancel: "Annulla",
				deleteTaskDelete: "Cancellare"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				dialogPh: "Sever sayısını girin",
				diamondsText: "Elmas",
				sendText:  "Sipariş",
				privateAccHead: "Hata!<br>özel hesap",
				privateAccText: "Özel bir hesapta sipariş yapmak için çalışıyoruz, sen seviyor almak istiyorsanız bir hesap açın lütfen!",
				privateAccBut: "Ok",
				deleteTaskHead: "SİLMEYİ ONAYLA",
				deleteTaskCancel: "İptal etmek",
				deleteTaskDelete: "Silmek"
			};
			break;
	}
	return lang;
}

Lang.getTasks = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				likesText: "Likes",
				followersText: "Followers",
				ofText: "of",
				tasksNoQuestText: "You have no tasks yet",
				tasksNoQuestLink: "ADD A TASK",

				activeStatus: "Active task",
				frozenStatus: "Task is checked",
				hangStatus: "Access error"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				likesText: "Лайки",
				followersText: "Подписки",
				ofText: "из",
				tasksNoQuestText: "У Вас пока нет ни одного задания",
				tasksNoQuestLink: "ДОБАВИТЬ ЗАДАНИЕ",

				activeStatus: "Задание выполняется",
				frozenStatus: "Задание проверяется",
				hangStatus: "Ошибка доступа"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				likesText: "Likes",
				followersText: "Followers",
				ofText: "von",
				tasksNoQuestText: "Sie haben noch keine Aufgaben",
				tasksNoQuestLink: "FÜGEN SIE EINE NEUE AUFGABE",

				activeStatus: "Aktive Aufgabe",
				frozenStatus: "Aufgabe wird geprüft",
				hangStatus: "Zugriffsfehler"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				likesText: "Me gusta",
				followersText: "los Suscriptores",
				ofText: "de",
				tasksNoQuestText: "No tiene ninguna tarea todavia",
				tasksNoQuestLink: "AÑADIR UNA TAREA",

				activeStatus: "Tarea activa",
				frozenStatus: "Tarea está marcada",
				hangStatus: "Error de acceso"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				likesText: "Comme",
				followersText: "Abonnes",
				ofText: "de",
				tasksNoQuestText: "Vous n'avez pas encore de taches",
				tasksNoQuestLink: "AJOUTER UNE TÂCHE",

				activeStatus: "Tâche active",
				frozenStatus: "Tâche est cochée",
				hangStatus: "Erreur d'accès"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				likesText: "dei Likes",
				followersText: "dei Abbonati",
				ofText: "con",
				tasksNoQuestText: "Lei per ora non ha nessun compito",
				tasksNoQuestLink: "AGGIUNGERE UN'ATTIVITÁ",

				activeStatus: "Compito attivo",
				frozenStatus: "Task viene controllato",
				hangStatus: "Errore di accesso"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				likesText: "Like lar",
				followersText: "Takipçileri",
				ofText: "itibaren",
				tasksNoQuestText: "herhangi bir işiniz yok",
				tasksNoQuestLink: "BIR GÖREV EKLEMEK",

				activeStatus: "Aktif görev",
				frozenStatus: "Görev kontrol edilir",
				hangStatus: "Erişim hatası"
			};
			break;
	}
	return lang;
}

Lang.getEarn = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				earnedText: "earned diamonds",
				powerText: "power"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				earnedText: "заработано диамантов",
				powerText: "мощность"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				earnedText: "verdient Diamanten",
				powerText: "macht"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				earnedText: "diamantes obtenidos",
				powerText: "poder"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				earnedText: "diamants Gagnés",
				powerText: "puissance"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				earnedText: "diamanti guadagnati",
				powerText: "potere"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				earnedText: "kazanılan elmaslar",
				powerText: "güç"
			};
			break;
	}
	return lang;
}

Lang.getBid = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				likesButText: "Likes",
				subsButText: "Followers",
				warningText: "Users can unfollow, but they will get a serious penalty",
				bidLikeNoQuestText: "You have no posts yet",
				bidMoreText: "Show more",

				// bid likes
				listBut: "From list",

				// bid followers
				accBut: "This account",

				linkBut: "Link",
				nickBut: "By nickname",
				linkLikePh: "Link on post",
				linkSubsPh: "Link on user's profile",
				likesPh:  "Enter likes count",
				subsPh:  "Enter followers count",
				diamondsText: "Diamonds",
				startText: "Order",

				acceptHeadText: "Subscribes is not activated",
				acceptButText: "Activate",
				acceptMainText: "When you activate subscribes, you will exchange subscribes when you mine"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				likesButText: "Лайки",
				subsButText: "Подписчики",
				warningText: "Пользователи могут отписываться, но за это их ожидает серьезный штраф",
				bidLikeNoQuestText: "У Вас пока нет ни одного поста",
				bidMoreText: "Показать еще",

				// bid likes
				listBut: "Из списка",

				// bid followers
				accBut: "На этот аккаунт",

				linkBut: "По ссылке",
				nickBut: "По нику",
				linkLikePh: "Ссылка на пост",
				linkSubsPh: "Ссылка на профиль",
				likesPh:  "Введите количество лайков",
				subsPh:  "Введите количество подписчиков",
				diamondsText: "Диаманты",
				startText: "Заказать",

				acceptHeadText: "Подписки не активированы",
				acceptButText: "Активировать",
				acceptMainText: "Активируя накрутку подписчиков, Вы также будете обмениваться подписками при заработке"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				likesButText: "Likes",
				subsButText: "Subskription",
				warningText: "Benutzer koennen verschreiben aber es fuehrt zu grossen Strafen",
				bidLikeNoQuestText: "Sie haben noch keine Fragen",
				bidMoreText: "Mehr anzeigen",

				// bid likes
				listBut: "aus der Liste",

				// bid followers
				accBut: "In diesem Account",

				linkBut: "durch den Link",
				nickBut: "Ich würde nikknate",
				linkLikePh: "Link auf die Beitrag",
				linkSubsPh: "Link auf die Profilseite",
				likesPh: "Fuehren Sie die Likesanzahl zu",
				subsPh: "Fueheren Sie Followersanzahl zu",
				diamondsText: "Diamanten",
				startText: "bestellen",

				acceptHeadText: "Subskription sind nicht aktiviert",
				acceptButText: "Aktivieren",
				acceptMainText: "Aktivierend den Anstieg der Followers, werden Sie auch mit Subskriptionen bei dem Erwerb wechseln"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				likesButText: "Me gusta",
				subsButText: "Suscripciones",
				warningText: "Los usarios pueden darse de baja, pero por eso recebiran la multa grave",
				bidLikeNoQuestText: "No tiene ninguna pregunta todavia",
				bidMoreText: "Mostrar más",

				// bid likes
				listBut: "De la lista",

				// bid followers
				accBut: "Por este perfil",

				linkBut: "Enlace",
				nickBut: "me nikknate",
				linkLikePh: "Enlace al post",
				linkSubsPh: "Enlace por el pefil",
				likesPh: "Inserte  el numero de me gusta",
				subsPh: "Inserte  el numero de los suscriptores",
				diamondsText: "Diamantos",
				startText: "Encargar",

				acceptHeadText: "Suscripciones no estan activados",
				acceptButText: "Activar",
				acceptMainText: "Activando la recopilacion de los suscriptores usted tambien puede compartir las suscripciones durant su salario"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				likesButText: "Comme",
				subsButText: "Abonnements",
				warningText: "Les utilisateurs peuvent se desabonner, mais ils vont recevoir une amende considerable, si c'est le cas",
				bidLikeNoQuestText: "Vous n'avez pas encore de questions",
				bidMoreText: "Afficher plus",

				// bid likes
				listBut: "de la liste",

				// bid followers
				accBut: "sur ce profil",

				linkBut: "suivre le lien",
				nickBut: "Je nikknate",
				linkLikePh: "Lien vers Poster",
				linkSubsPh: "Lien du profil",
				likesPh: "Saisissez le nombre de comme",
				subsPh: "Saisissez le nombre d'abonnes",
				diamondsText: "Diamants",
				startText: "Commander",

				acceptHeadText: "Les abonnements ne sont pas actives",
				acceptButText: "Activer",
				acceptMainText: "En activant l'obtention d'abonnes vous partagerez aussi des abonnements durant le gain"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				likesButText: "Likes",
				subsButText: "Abbonamento",
				warningText: "Gli utenti possono rifiutare di iscriversi, ma per questo possono prendere una sanzione",
				bidLikeNoQuestText: "Lei per ora non ha nessuna domanda",
				bidMoreText: "Mostra più",

				// bid likes
				listBut: "Dalla lista",

				// bid followers
				accBut: "Su questo accaunt",

				linkBut: "Sul collegamento",
				nickBut: "vorrei nikknate",
				linkLikePh: "Collegamento al post",
				linkSubsPh: "Collegamento sul profilo",
				likesPh: "La quantità dei likes",
				subsPh: "La quantità dei abbonati",
				diamondsText: "Diamanti",
				startText: "Ordinare",

				acceptHeadText: "Le iscrizioni non sono state attivate",
				acceptButText: "Attivare",
				acceptMainText: "Attivando il trucco dei abbonati potrete scambiare gli abbonamenti con il guadagno"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				likesButText: "Like",
				subsButText: "Takipçiler",
				warningText: "Kullanıcılar iptal edebilirsiniz, ancak bu onlar ağır cezalar bekleyebilirsiniz",
				bidLikeNoQuestText: "Sorunuz yok",
				bidMoreText: "Daha fazla göster",

				// bid likes
				listBut: "Listeden",

				// bid followers
				accBut: "Bu hesapta",

				linkBut: "Linkden",
				nickBut: "Ben nikknate ediyorum",
				linkLikePh: "Post bağlantı",
				linkSubsPh: "Profile bağlamak",
				likesPh: "Like sayısını girin",
				subsPh: "Abone numarasını girin",
				diamondsText: "Elmaslar",
				startText: "Sipariş",

				acceptHeadText: "Abone aktif değil",//
				acceptButText: "etkinleştirmek",//
				acceptMainText: "Eğer abone aktive zaman minene zaman aboneye alışverişinde bulunacak"//
			};
			break;
	}
	return lang;
}

Lang.getBot = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				text: "Diamonds mining",
				title: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost",
				ticker: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost"
			};
			break;
		case Constant.UA_LANG:
		case Constant.BE_LANG:
		case Constant.RU_LANG:
			lang = {
				text: "Добыча диамантов",
				title: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost",
				ticker: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				text: "Erwerb der Diamanten",
				title: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost",
				ticker: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				text: "La extraccion de los diamantes",
				title: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost",
				ticker: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				text: "Gain de diamants",
				title: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost",
				ticker: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				text: "Produzione dei diamanti",
				title: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost",
				ticker: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				text: "Elmas kazan",
				title: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost",
				ticker: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost"
			};
			break;
		default:
			lang = {
				text: "Diamonds mining",
				title: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost",
				ticker: Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost"
			};
	}
	return lang;
}

Lang.getMessages = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				bidOk: "The order was successful",
				bidFail: "The order failed",
				mhFail: "Can not get a data from the page",
				loginFail: "Authorization failed, check your login and password",
				connectErr: "Connection error, try again",
				readErr: "Connection error, try again",
				writeErr: "Error writing, try again",
				runErr: "Error running, try again",
				stopErr: "Error stopping, try again",
				donateErr: "Error, try again",
				donateBuyOk: "The purchase was successful",
				donateBuyErr: "Error with a purchase. Please contact us",
				checkoutText: "Checkout",
				verifyErr: "Verification error",
				premiumText: "Premium account",
				activeEarnText: "Mining diamonds is activated",
				newsServerErr: "Error with connecting to server",
				newsServerOk: "OK",

				bidLikesTitle: "Get likes",
				bidSubsTitle: "Get followers",
				tasksTitle: "My tasks",
				donateTitle: "Shop",
				earnTitle: "Diamonds mining",
				newsTitle: "News",
				guideNextText: "Next",
				guideReadyText: "Ready",
				turboBoughtText: "Owned"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				bidOk: "Заказ оформлен успешно",
				bidFail: "Сделать заказ не удалось",
				mhFail: "Не удалось получить данные с записи",
				loginFail: "Не удалось войти в аккаунт, проверьте логин и пароль",
				connectErr: "Ошибка соединения, попробуйте еще раз",
				readErr: "Ошибка соединения, попробуйте еще раз",
				writeErr: "Ошибка записи, попробуйте еще раз",
				runErr: "Ошибка запуска, попробуйте еще раз",
				stopErr: "Ошибка остановки, попробуйте еще раз",
				donateErr: "Произошла ошибка, попробуйте снова",
				donateBuyOk: "Покупка оформлена успешно",
				donateBuyErr: "Произошла ошибка при покупке. Eсли проблема не решится, то напишите в поддержку",
				checkoutText: "Оформление покупки",
				verifyErr: "Ошибка верификации",
				premiumText: "Премиум аккаунт",
				activeEarnText: "Добыча диамантов активирована",
				newsServerErr: "Произошла ошибка при соединении с сервером",
				newsServerOk: "ОК",

				bidLikesTitle: "Получить лайки",
				bidSubsTitle: "Получить подписки",
				tasksTitle: "Мои задания",
				donateTitle: "Магазин",
				earnTitle: "Добыча диамантов",
				newsTitle: "Новости",
				guideNextText: "Далее",
				guideReadyText: "Готово",
				turboBoughtText: "Приобретено"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				bidOk: "Bestellung ist erfolgreich ausgefuehrt",
				bidFail: "es gelang nicht die Bestellung zu machen",
				mhFail: "es gelang nicht das Datenmaterial aus dem Ablegen zu bekommen",
				langFail: "Ist ein Fehler aufgetreten, pruefen Sie Ihr Personalien",
				loginFail: "Verbindungsfehler, pruefen Login und Passwort",
				connectErr: "Verbindungsfehler, pruefen Sie noch einmal",
				readErr: "Verbindungsfehler, pruefen Sie noch einmal",
				writeErr: "Aufnahmefehler, versuchen Sie noch einmal",
				runErr: "Anlassenfehler, versuchen Sie noch einmal",
				stopErr: "Aussetzerfehler, versuchen Sie noch einmal",
				captchaErr: "Erfuellen Sie carptcha gehen Sie auf Account ein fur die Fortfuehrung...",
				donateErr: "Ist ein Fehler aufgetreten, versuchen Sie noch einmal",
				donateBuyOk: "Ankaufist erfolgreich ausgestaltet",
				donateBuyErr: "Ist das Problem bei dem Ankauf aufgetreten. Wenn Das Problem nicht geloest wird, schreiben Sie an die Hilfsleistung",
				checkoutText: "Ankauf abfassung",
				verifyErr: "Verifikationsfehler",
				premiumText: "Premiumaccount",
				activeEarnText: "Diamantenerwerb ist aktiviert",
				newsServerErr: "Ist das Problem bei der Serververbindung aufgetreten",
				newsServerOk: "OK",

				bidLikesTitle: "Likes vergroessen",
				bidSubsTitle: "Subskription vergroessen",
				tasksTitle: "Meine Aufgaben",
				donateTitle: "Geschaeft",
				earnTitle: "Diamantenerwerb",
				newsTitle: "Nachrichten",
				guideNextText: "weiter",
				guideReadyText: "fertig",
				turboBoughtText: "gewonnen"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				bidOk: "El encargo esta formalizado con el exito",
				bidFail: "No se pudo hacer el encargo",
				mhFail: "No se pudo recebir la informacion de la grabacion",
				langFail: "Fue un error, compruebe su informacion",
				loginFail: "No se pudo entrar el perfil, compruebe el nombre de usuario y contrasena",
				connectErr: "El error de la conexion, trate otra vez",
				readErr: "El error de la conexion, trate otra vez",
				writeErr: "El error de la  grabacion, trate otra vez",
				runErr: "El error del lanzamiento, trate otra vez",
				stopErr: "El error de la pausa, trate otra vez",
				captchaErr: "Llene captcha y entre el perfil para continuar...",
				donateErr: "Fue un error, trate otra vez",
				donateBuyOk: "La compra esta formalizado con exito",
				donateBuyErr: "Fue un error durante la compra. Si el problema no sera resuelto, escriba al soporte",
				checkoutText: "Formalizacion de la compra",
				verifyErr: "El error de la verificacion",
				premiumText: "Premium perfil",
				activeEarnText: "La extraccion de los diamantes esta activada",
				newsServerErr: "Fue un error durante la la conexion con el servicio",
				newsServerOk: "OK",

				bidLikesTitle: "Hacer mas me gusta",
				bidSubsTitle: "Hacer mas las suscripciones",
				tasksTitle: "Mis tareas",
				donateTitle: "La tienda",
				earnTitle: "La extraccion de los diamantes",
				newsTitle: "Las noticias",
				guideNextText: "Entones",
				guideReadyText: "Listo",
				turboBoughtText: "Comprado"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				bidOk: "On a reussi a passer une commande",
				bidFail: "On n'a pas reussi a passer une commande",
				mhFail: "Impossible d'obtenir des donnees de l'enregistrement",
				langFail: "Une erreur s'est produite, verifiez vos donnees",
				loginFail: "Impossible de vous connecter a votre compte, verifiez votre identifiant et mot de passe",
				connectErr: "Une erreur de connexion, veuillez reessayer ulterieurement",
				readErr: "Une erreur de connexion, veuillez reessayer ulterieurement",
				writeErr: "Une erreur d'enregistrement, veuillez reessayer ulterieurement",
				runErr: "Une erreur de demarrage, veuillez reessayer ulterieurement",
				stopErr: "Une erreur d'arret, veuillez reessayer ulterieurement",
				captchaErr: "Remplissez le CAPTCHA et connectez-vous a votre compte pour continuer...",
				donateErr: "Une erreur s'est produite, veuillez reessayer ulterieurement",
				donateBuyOk: "Achat effectue",
				donateBuyErr: "Une erreur d'achat. Si le probleme persiste, ecrivez au service d'assistance",
				checkoutText: "On fait un achat",
				verifyErr: "Erreur de verification",
				premiumText: "Compte premium",
				activeEarnText: "Le gain des diamants est active",
				newsServerErr: "Une erreur s'est produite lors de la connexion au serveur",
				newsServerOk: "OK",

				bidLikesTitle: "Obtenir des comme",
				bidSubsTitle: "Obtenir des abonnements",
				tasksTitle: "Mes taches",
				donateTitle: "Magasin",
				earnTitle: "Gain des diamants",
				newsTitle: "Nouvelles",
				guideNextText: "Suivant",
				guideReadyText: "Fini",
				turboBoughtText: "Achete"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				bidOk: "L'ordine è andato a buon fine",
				bidFail: "Non è stato possibile effettuare l'ordine",
				mhFail: "Impossibile ottenere i dati dalla registrazione",
				langFail: "Ci è stato un errore, siete pregati di controllare i vostri dati",
				loginFail: "Non è stato possibile accedere all'account, controllate il login e la password",
				connectErr: "Errore di collegamento, provi un altra volta",
				readErr: "Errore di collegamento, provi un altra volta",
				writeErr: "Errore di scrittura, provi un altra volta",
				runErr: "Impossibile avviare, provi un altra volta",
				stopErr: "Errore di arresto, provi un altra volta",
				captchaErr: "Compilate e entrate nel vostro account per continuare...",
				donateErr: "Ci è stato un errore, riprovi un altra volta",
				donateBuyOk: "L'ordine è andato a buon fine",
				donateBuyErr: "Ci è stato un errore durante l'acquisto. Se il problema non si risolve, è pregato di contattarci",
				checkoutText: "L'acquisto",
				verifyErr: "L'errore della verifica",
				premiumText: "Premium account",
				activeEarnText: "Produzione dei diamanti è stata attivata",
				newsServerErr: "Si è verificato un errore durante la connessione al server",
				newsServerOk: "OK",

				bidLikesTitle: "Truccare i likes",
				bidSubsTitle: "Truccare gli abbonamenti",
				tasksTitle: "I miei compiti",
				donateTitle: "Negozio",
				earnTitle: "Produzione dei diamanti",
				newsTitle: "Notizie",
				guideNextText: "Ulteriormente",
				guideReadyText: "è pronto",
				turboBoughtText: "è stato acquistato"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				bidOk: "Sipariş yapdınız",
				bidFail: "Sipariş yapamadınız",
				mhFail: "Kayıt veri alınamadı",
				langFail: "Bir hata oluştu, verilerinizi kontrol edin",
				loginFail: "Hesabınıza erişmek için kullanıcı adı ve şifre kontrol edilemiyor",
				connectErr: "Bağlantı Hatası, tekrar deneyin",
				readErr: "Bağlantı Hatası, tekrar deneyin",
				writeErr: "Hata yazın tekrar deneyin",
				runErr: "Hatayı çalıştırmak, yeniden deneyin",
				stopErr: "Dur hatası, tekrar deneyin",
				captchaErr: "Captcha doldurun ve devam etmek için oturum açın ...",
				donateErr: "Bir hata oluştu, lütfen tekrar deneyin",
				donateBuyOk: "Siparişınız hazır",
				donateBuyErr: "Satın alırken bir hata oluştu. Sorun çözülmezse, bize yazılın",
				checkoutText: "Kayıt satın alınan malı",
				verifyErr: "Hata",
				premiumText: "Premium hesap",
				activeEarnText: "Madencilik elmas aktive",
				newsServerErr: "Sunucuya bağlanırken bir hata oluştu",
				newsServerOk: "OK",

				bidLikesTitle: "Like kazan",
				bidSubsTitle: "Takipçi kazan",
				tasksTitle: "Benim işler",
				donateTitle: "Mağaza",
				earnTitle: "Elmas kazan",
				newsTitle: "Haberler",
				guideNextText: "Devam",
				guideReadyText: "Hazır",
				turboBoughtText: "Alındı"
			};
			break;
	}
	return lang;
}

Lang.getCorrects = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				enterLink: "Enter a link on Instagram page",
				emptyLink: "Enter a link on Instagram page",
				notExistLink: "Incorrect link, try again",
				noCoins: "You don't have enough diamonds",
				errNegative: "The number can not be negative or zero",
				errNumber: "Enter a number",
				minMaxLikes: "A number must be from " + Constant.MIN_COUNT_LIKE + " to " + Constant.MAX_COUNT_LIKE + "",
				minMaxSubs: "A number must be from " + Constant.MIN_COUNT_SUBS + " to " + Constant.MAX_COUNT_SUBS + "",
				minMaxPremLikes: "A number must be from 1 to " + Constant.MAX_PREM_COUNT_LIKE + "",
				minMaxPremSubs: "A number must be from 1 to " + Constant.MAX_PREM_COUNT_SUBS + ""
			};
			break;
		case Constant.RU_LANG:
			lang = {
				enterLink: "Введите ссылку на страницу Instagram",
				emptyLink: "Введите ссылку на страницу Instagram",
				notExistLink: "Неверная ссылка, попробуйте заново",
				noCoins: "У вас не достаточно диамантов",
				errNegative: "Число не может быть отрицательным или равным нулю",
				errNumber: "Введите число",
				minMaxLikes: "Вводимое число должно быть от " + Constant.MIN_COUNT_LIKE + " до " + Constant.MAX_COUNT_LIKE + "",
				minMaxSubs: "Вводимое число должно быть от " + Constant.MIN_COUNT_SUBS + " до " + Constant.MAX_COUNT_SUBS + "",
				minMaxPremLikes: "Вводимое число должно быть от 1 до " + Constant.MAX_PREM_COUNT_LIKE + "",
				minMaxPremSubs: "Вводимое число должно быть от 1 до " + Constant.MAX_PREM_COUNT_SUBS + ""
			};
			break;
		case Constant.DE_LANG:
			lang = {
				enterLink: "Fueheren Sie den Link auf die Seite Instagram zu",
				emptyLink: "Fueheren Sie den Link auf die Seite Instagram zu",
				notExistLink: "Falscher link, versuchen Sie andere",
				noCoins: "Sie haben nicht genug Diamanten",
				errNegative: "Zahl kann nicht minder als null sein oder gleich Null ist",
				errNumber: "Fuehren Sie die Zahl zu",
				minMaxLikes: "Zufueherende Zahl muss von " + Constant.MIN_COUNT_LIKE + " bis " + Constant.MAX_COUNT_LIKE + " sein",
				minMaxSubs: "Zufueherende Zahl muss von " + Constant.MIN_COUNT_SUBS + " bis " + Constant.MAX_COUNT_SUBS + " sein",
				minMaxPremLikes: "Zufueherende Zahl muss von 1 bis " + Constant.MAX_PREM_COUNT_LIKE + " sein",
				minMaxPremSubs: "Zufueherende Zahl muss von 1 bis " + Constant.MAX_PREM_COUNT_SUBS + " sein"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				enterLink: "Inserte enlace a la pagina Instagram",
				emptyLink: "Inserte enlace a la pagina Instagram",
				notExistLink: "Enlace incorrecta, trate una otra",
				noCoins: "No tienes los diamantes suficiente",
				errNegative: "El numero no puede ser menor que cero o igual a cero",
				errNumber: "Inserte el numero",
				minMaxLikes: "El numero introducido debe ser y " + Constant.MIN_COUNT_LIKE + " a " + Constant.MAX_COUNT_LIKE + "",
				minMaxSubs: "El numero introducido debe ser y " + Constant.MIN_COUNT_SUBS + " a " + Constant.MAX_COUNT_SUBS + "",
				minMaxPremLikes: "El numero introducido debe ser y 1 a " + Constant.MAX_PREM_COUNT_LIKE + "",
				minMaxPremSubs: "El numero introducido debe ser y 1 a " + Constant.MAX_PREM_COUNT_SUBS + ""
			};
			break;
		case Constant.FR_LANG:
			lang = {
				enterLink: "Saisissez le lien de la page Instagram",
				emptyLink: "Saisissez le lien de la page Instagram",
				notExistLink: "Lien incorrect, essayez un autre lien",
				noCoins: "Vous n'avez pas assez de diamants",
				errNegative: "Le nombre ne peut etre inferieur a zero ou égal à zéro",
				errNumber: "Saisissez un nombre",
				minMaxLikes: "Le nombre saisi doit etre de " + Constant.MIN_COUNT_LIKE + " a " + Constant.MAX_COUNT_LIKE + "",
				minMaxSubs: "Le nombre saisi doit etre de " + Constant.MIN_COUNT_SUBS + " a " + Constant.MAX_COUNT_SUBS + "",
				minMaxPremLikes: "Le nombre saisi doit etre de 1 a " + Constant.MAX_PREM_COUNT_LIKE + "",
				minMaxPremSubs: "Le nombre saisi doit etre de 1 a " + Constant.MAX_PREM_COUNT_SUBS + ""
			};
			break;
		case Constant.IT_LANG:
			lang = {
				enterLink: "Digita il collegamento sulla pagina Instagram",
				emptyLink: "Digita il collegamento sulla pagina Instagram",
				notExistLink: "Collegamento errato, prova un altro collegamento",
				noCoins: "La quantità dei vostri diamanti non è sufficiente",
				errNegative: "La cifra non può essere meno di zero o uguale a zero",
				errNumber: "Digita il numero",
				minMaxLikes: "Il numero deve essere da " + Constant.MIN_COUNT_LIKE + " a " + Constant.MAX_COUNT_LIKE + "",
				minMaxSubs: "Il numero deve essere da " + Constant.MIN_COUNT_SUBS + " a " + Constant.MAX_COUNT_SUBS + "",
				minMaxPremLikes: "Il numero deve essere da 1 a " + Constant.MAX_PREM_COUNT_LIKE + "",
				minMaxPremSubs: "Il numero deve essere da 1 a " + Constant.MAX_PREM_COUNT_SUBS + ""
			};
			break;
		case Constant.TR_LANG:
			lang = {
				enterLink: "Instagram linkini giriniz",
				emptyLink: "Instagram linkini giriniz",
				notExistLink: "yanlış bağlantı, başka bir link deneyin",
				noCoins: "Elmas eksik",
				errNegative: "Sayı sıfırdan küçük olamaz eşit veya sıfıra",
				errNumber: "Sayıları yazın",
				minMaxLikes: "Girilen numara " + Constant.MIN_COUNT_LIKE + " için " + Constant.MAX_COUNT_LIKE + "den olmalıdır",
				minMaxSubs: "Girilen numara " + Constant.MIN_COUNT_SUBS + " için " + Constant.MAX_COUNT_SUBS + "den olmalıdır",
				minMaxPremLikes: "1 " + Constant.MAX_PREM_COUNT_LIKE + " olmalıdır sayı",
				minMaxPremSubs: "1 " + Constant.MAX_PREM_COUNT_SUBS + " olmalıdır sayı"
			};
			break;
	}
	return lang;
}

Lang.getDonate = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				diamondsButText: "Diamonds",
				premiumButText: "Premium",
				turboButText: "Turbo",
				
				emptyField: "empty",
				popularText: "POPULAR",
				bestValueText: "BEST VALUE",
				buyButText: "Buy",
				
				premiumFirstText: "no ads in application",
				premiumSecondText: "you can disable subscribe to other users in the mining of diamonds",
				premiumThirdText: "increase the number of orders limits",
				premiumFourthText: "cancel penalty for the cancellation of the task",
				
				turboLightHeadText: "Turbo light",
				turboMediumHeadText: "Turbo medium",
				turboHardHeadText: "Turbo powerful",

				turboGreenFirstText: "for FREE 7 days",
				turboGreenSecondText: "300% mining power",
				turboGreenThirdText: "increase speed limits",
				turboGreenFourthText: "for one month",

				turboBlueFirstText: "500% mining power",
				turboBlueSecondText: "your tasks complete 2 times faster than others",
				turboBlueThirdText: "increase speed limits",
				turboBlueFourthText: "for one month",

				turboRedFirstText: "1000% mining power",
				turboRedSecondText: "your tasks complete 3 times faster than others",
				turboRedThirdText: "increase speed limits",
				turboRedFourthText: "for one month",

				turboBoughtText: "Owned"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				diamondsButText: "Диаманты",
				premiumButText: "Премиум",
				turboButText: "Турбо",
				
				emptyField: "пусто",
				popularText: "ПОПУЛЯРНЫЙ",
				bestValueText: "ЛУЧШАЯ ЦЕНА",
				buyButText: "Купить",
				
				premiumFirstText: "отключение рекламы в приложении",
				premiumSecondText: "можно не подписываться на других пользователей при добыче диамантов",
				premiumThirdText: "увеличение лимитов на заказы",
				premiumFourthText: "отмена штрафа за отмену задания",
				
				turboLightHeadText: "Турбо легкий",
				turboMediumHeadText: "Турбо средний",
				turboHardHeadText: "Турбо мощный",

				turboGreenFirstText: "бесплатно 7 дней",
				turboGreenSecondText: "мощность заработка 300%",
				turboGreenThirdText: "увеличение скоростных лимитов",
				turboGreenFourthText: "на 1 месяц",

				turboBlueFirstText: "мощность заработка 500%",
				turboBlueSecondText: "ваши задания выполняются в 2 раза быстрее других",
				turboBlueThirdText: "увеличение скоростных лимитов",
				turboBlueFourthText: "на 1 месяц",

				turboRedFirstText: "мощность заработка 1000%",
				turboRedSecondText: "ваши задания выполняются в 3 раза быстрее других",
				turboRedThirdText: "увеличение скоростных лимитов",
				turboRedFourthText: "на 1 месяц",

				turboBoughtText: "Приобретено"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				diamondsButText: "Diamanten",
				premiumButText: "Premium",
				turboButText: "Turbo",
				
				emptyField: "leer",
				popularText: "POPULAER",
				bestValueText: "der BESTE PREIS",
				buyButText: "kaufen",
				
				premiumFirstText: "Abschaltung der Werbung in der App",
				premiumSecondText: "Man kann nicht andere Benutzer bei dem Diamanten erwerb abonieren",
				premiumThirdText: "Vergroesserung des Limits fur die Bestellungen",
				premiumFourthText: "Annulierung der Strafe fur Anullierung der Aufgabe",
				
				turboLightHeadText: "Turbo leicht",
				turboMediumHeadText: "Turbo maaessig",
				turboHardHeadText: "Turbo stark",

				turboGreenFirstText: "Kostenlos 7 Tage",
				turboGreenSecondText: "Macht schnelligkeit 300%",
				turboGreenThirdText: "Vergroesserung der Erwerbs schnelligkeit",
				turboGreenFourthText: "Fur einen Monat",

				turboBlueFirstText: "Macht schnelligkeit 500%",
				turboBlueSecondText: "Ihre Aufgaben werden doppelt schneller wie andere gemacht",
				turboBlueThirdText: "Vergroesserung der Erwerbs schnelligkeit",
				turboBlueFourthText: "Fur einen Monat",

				turboRedFirstText: "Macht schnelligkeit 1000%",
				turboRedSecondText: "Ihre Aufgaben werden dreimal schneller wie andere gemacht",
				turboRedThirdText: "Vergroesserung der Limits schnelligkeit",
				turboRedFourthText: "Fur einen Monat",

				turboBoughtText: "gewonnen"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				diamondsButText: "Diamantes",
				premiumButText: "Premium",
				turboButText: "Turbo",
				
				emptyField: "vacio",
				popularText: "POPULAR",
				bestValueText: "EL PRECIO MEJOR",
				buyButText: "Comprar",
				
				premiumFirstText: "desactivacion de la publicidad en la aplicacion",
				premiumSecondText: "No es necesario suscribirse a los otros usarios durante la extraccion de los diamantes",
				premiumThirdText: "El aumento de limites por los encargos",
				premiumFourthText: "La cancelacion de la multa por la cancelacion de las tareas",
				
				turboLightHeadText: "El turbo facil",
				turboMediumHeadText: "El turbo medio",
				turboHardHeadText: "El turbo fuerte",

				turboGreenFirstText: "Gratis por 7 dias",
				turboGreenSecondText: "Poder de los ingresos 300%",
				turboGreenThirdText: "El aumento de los limites velozos",
				turboGreenFourthText: "por un mes",

				turboBlueFirstText: "Poder de los ingresos 500%",
				turboBlueSecondText: "Sus tareas se ejecutan dos veces mas rapido que los otros",
				turboBlueThirdText: "El aumento de los limites velozos",
				turboBlueFourthText: "Por un mes",

				turboRedFirstText: "Poder de los ingresos 1000%",
				turboRedSecondText: "Sus tareas se ejecutan tres veces mas rapido que los otros",
				turboRedThirdText: "El aumento de los limites velozos",
				turboRedFourthText: "por un mes",

				turboBoughtText: "Comprado"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				diamondsButText: "Diamants",
				premiumButText: "Premium",
				turboButText: "Turbo",
				
				emptyField: "vide",
				popularText: "POPULAIRE",
				bestValueText: "MEILLEUR PRIX",
				buyButText: "Acheter",
				
				premiumFirstText: "Desactivation de la publicite dans l'application",
				premiumSecondText: "Vous ne pouvez pas vous abonner a d'autres utilisateurs durant le gain de diamants",
				premiumThirdText: "Augmentation des limites de commandes",
				premiumFourthText: "L'annulation de l'amende pour l'annulation d'une tache",
				
				turboLightHeadText: "Turbo simple",
				turboMediumHeadText: "Turbo moyen",
				turboHardHeadText: "Turbo fort",

				turboGreenFirstText: "7 jours gratuit",
				turboGreenSecondText: "Puissance de gain est 300%",
				turboGreenThirdText: "augmentation des limites de vitesse",
				turboGreenFourthText: "pour 1 mois",

				turboBlueFirstText: "Puissance de gain est 500%",
				turboBlueSecondText: "vos taches sont executees 2 fois plus vite que d'autres",
				turboBlueThirdText: "augmentation des limites de vitesse",
				turboBlueFourthText: "pour 1 mois",

				turboRedFirstText: "Puissance de gain est 1000%",
				turboRedSecondText: "vos taches sont executees 3 fois plus vite que d'autres",
				turboRedThirdText: "augmentation des limites de vitesse",
				turboRedFourthText: "pour 1 mois",

				turboBoughtText: "Achete"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				diamondsButText: "Diamanti",
				premiumButText: "Premium",
				turboButText: "Turbo",
				
				emptyField: "vuoto",
				popularText: "POPOLARE",
				bestValueText: "IL MIGLIOR PREZZO",
				buyButText: "Acquistare",
				
				premiumFirstText: "rifiuto della pubblicità e altre proposte",
				premiumSecondText: "si può non sottoscriversi ai altri utenti con la produzione dei diamanti",
				premiumThirdText: "aumento dei limiti per ordini",
				premiumFourthText: "annullamento della sanzione per l'annulamento del compito",
				
				turboLightHeadText: "Turbo leggero",
				turboMediumHeadText: "Turbo medio",
				turboHardHeadText: "Turbo potente",

				turboGreenFirstText: "gratuito per 7 giorni",
				turboGreenSecondText: "Potere del guadagno 300%",
				turboGreenThirdText: "l'aumento della velovità dei limiti",
				turboGreenFourthText: "per 1 mese",

				turboBlueFirstText: "Potere del guadagno 500%",
				turboBlueSecondText: "i vostri compiti vengono svolti due volte più veloce",
				turboBlueThirdText: "l'aumento della velovità dei limiti",
				turboBlueFourthText: "per 1 mese",

				turboRedFirstText: "Potere del guadagno 1000%",
				turboRedSecondText: "i vostri compiti vengono svolti tre volte più veloce",
				turboRedThirdText: "l'aumento della velovità dei limiti",
				turboRedFourthText: "per 1 mese",

				turboBoughtText: "è stato acquistato"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				diamondsButText: "Elmaslar",
				premiumButText: "Premium",
				turboButText: "Turbo",
				
				emptyField: "boş",
				popularText: "POPÜLER",
				bestValueText: "EN İYİ FİYAT",
				buyButText: "Satın al",
				
				premiumFirstText: "Reklamı programdan ayırmak",
				premiumSecondText: "elmas çıkarma diğer kullanıcılara abone olamaz",
				premiumThirdText: "siparişler için limitlerinin artırılması",
				premiumFourthText: "İşin iptali cezası",
				
				turboLightHeadText: "Turbo kolay",
				turboMediumHeadText: "Turbo orta",
				turboHardHeadText: "Turbo hızlı",

				turboGreenFirstText: "7 gün bedava",
				turboGreenSecondText: "% 300 kazanma gücü",
				turboGreenThirdText: "hız sınırlarını artırmak",
				turboGreenFourthText: "1 aylık",

				turboBlueFirstText: "% 500 kazanma gücü",
				turboBlueSecondText: "sizin görevleri diğerinden daha hızlı 2 kez yapılır",
				turboBlueThirdText: "hız sınırlarını artırmak",
				turboBlueFourthText: "1 aylık",

				turboRedFirstText: "% 1000 kazanma gücü",
				turboRedSecondText: "sizin görevleri diğerinden daha hızlı 3 kez yapılır",
				turboRedThirdText: "hız sınırlarını artırmak",
				turboRedFourthText: "1 aylık",

				turboBoughtText: "Edilinen"
			};
			break;
	}
	return lang;
}

Lang.getSettings = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				settingsText: "Settings",
				newVersionText: "A new version: ",
				updateButText: "Update",
				premiumAccText: "Premium account",
				followEarnText: "Follow in earning",
				autoEarnText: "Auto mining after authorization",
				guideText: "Tutorial",
				rateText: "Rate the application",
				otherAppText: "Others our applications:",
				privacyText: "User aggreement",
				exitAccText: "Log out"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				settingsText: "Настройки",
				newVersionText: "Новая версия: ",
				updateButText: "Обновить",
				premiumAccText: "Премиум аккаунт",
				followEarnText: "Подписка в заработке",
				autoEarnText: "Автоматическая добыча при авторизации",
				guideText: "Руководство",
				rateText: "Оцените приложение",
				otherAppText: "Другие наши приложения:",
				privacyText: "Пользовательское соглашение",
				exitAccText: "Выйти из аккаунта"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				settingsText: "Einstellungen",
				newVersionText: "neue Version: ",
				updateButText: "Auffrischen",
				premiumAccText: "Premium account",
				followEarnText: "Erwerbsubskription",
				autoEarnText: "Automatischer Erwerb bei der Authorisierung",
				guideText: "Anleitung",
				rateText: "bewerten Sie die App",
				otherAppText: "unsere andere App:",
				privacyText: "Nutzungsvereinbarung",
				exitAccText: "aus dem Account raus sein"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				settingsText: "Las configuraciones",
				newVersionText: "La version nueva: ",
				updateButText: "Renovar",
				premiumAccText: "El perfil premium",
				followEarnText: "La suscripcion en el salario",
				autoEarnText: "La extraccion automatica durante la autorizacion",
				guideText: "Guia",
				rateText: "Estime la la aplicacion",
				otherAppText: "Otras nuestras aplicaciones:",
				privacyText: "El acuerdo del usario",
				exitAccText: "Salir del perfil"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				settingsText: "Configurations",
				newVersionText: "Mise a jour:  ",
				updateButText: "Mettre a jour",
				premiumAccText: "Premium",
				followEarnText: "Abonnement en gain",
				autoEarnText: "Gain automatique en cas d'autorisation",
				guideText: "Guide",
				rateText: "Evaluez l'application",
				otherAppText: "Nos autres applications:",
				privacyText: "Accord de l'utilisateur",
				exitAccText: "Se deconnecter du compte"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				settingsText: "impostazioni",
				newVersionText: "nuova versione: ",
				updateButText: "aggiornare",
				premiumAccText: "Premium account",
				followEarnText: "iscrizione ai guadagni",
				autoEarnText: "la produzione automatica avendo l'autorizzazione",
				guideText: "la guida",
				rateText: "valuta l'app",
				otherAppText: "le altre nostre app:",
				privacyText: "condizioni d'uso",
				exitAccText: "uscire dall'account"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				settingsText: "Ayarlar",
				newVersionText: "Yeni versiyonu: ",
				updateButText: "Yenile",
				premiumAccText: "Premium hesap",
				followEarnText: "Abone işlem yapıyor",
				autoEarnText: "Otomatik çıkarma yetkisi",
				guideText: "Başlık",
				rateText: "Programa ses ver",
				otherAppText: "Diğer programlarımız:",
				privacyText: "Kullanıcı Sözleşmesi",
				exitAccText: "Hesabınıza çıkın"
			};
			break;
	}
	return lang;
}

Lang.getAuthTrouble = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				backText: "Authorization troubles",
				stepOneText: "Step 1",
				stepOneContent: "Click on the 'Authorization' button",
				stepTwoText: "Step 2",
				stepTwoContent: "Log in by your account Instagram opened through the browser",
				stepThreeText: "Step 3",
				stepThreeContent: "After you have logged into your account Instagram - browser must close in a few seconds and you'll redirect to the home page of application. If the browser will not close - close it - just click on the X in the upper right corner.",
				goodInetText: "*You must have a good Internet connection",
				problemText: "If you still can't log in:",
				problemListText: "If you cound't log in the first time",
				problemOneText: "try one more time",
				problemTwoText: "try restart the application",
				problemThreeText: "try to reinstall the application",
				nothingText: "If above suggestions will not help you",
				feedBackButText: "Feedback us"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				backText: "Проблемы с авторизацией",
				stepOneText: "Шаг 1",
				stepOneContent: "Нажмите на кнопку “Авторизация”",
				stepTwoText: "Шаг 2",
				stepTwoContent: "Авторизируйтесь в вашем аккаунте Instagram через открывшийся браузер любым способом",
				stepThreeText: "Шаг 3",
				stepThreeContent: "После того как вы зашли на свой аккаунт Instagram - браузер должен закрытся через несколько секунд и вы перейдете на главную страницу приложения. Если браузер не закрылся - закройте его самостоятельно, нажав на крестик в правом верхнем углу.",
				goodInetText: "*У Вас должно быть хорошее интернет соединение",
				problemText: "В случае проблемы:",
				problemListText: "Если вам не удалось зайти с первого раза",
				problemOneText: "повторите попытку",
				problemTwoText: "попробуйте перезапустить приложение на телефоне и заново войти",
				problemThreeText: "переустановите приложение",
				nothingText: "Если ни один из советов вам не помог",
				feedBackButText: "Связаться с нами"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				backText: "Authorisierungs problemme",
				stepOneText: "Schritt 1",
				stepOneContent: 'Drucken Sie die Taste "Authorisierung"',
				stepTwoText: "Schritt 2",
				stepTwoContent: "Authorisieren Sie sich in ihrem Account Instagram durch den offenden Brauser auf jede Weise",
				stepThreeText: "Schritt 3",
				stepThreeContent: "Nach dem Sie auf Iheren Account Instagram zugegriffen haben — Brauser soll geschlossen werden nach einigen Sekunden und Sie uebergehen an die Hauptseite der App. Wenn der Brauser nicht geschlossen ist, schliessen ihn selbststandig.",
				goodInetText: "*Sie sollen iene gute Internetverbindung haben",
				problemText: "Problem falls:",
				problemListText: "Wenn der eEintritt auf den ersten Anhieb fehgeschlug",
				problemOneText: "wiederholen Sie noch einmal",
				problemTwoText: "neustarten Sie die App Auf dem Handy und wieder einloggen",
				problemThreeText: "nachinstallieren Sie die App",
				nothingText: "Wen menge Ratschlage halfen Ihnen",
				feedBackButText: "erreichen Sie uns"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				backText: "Los problemas con autorizacion",
				stepOneText: "Paso 1",
				stepOneContent: 'Haga clic en el boton "autorizacion"',
				stepTwoText: "Paso 2",
				stepTwoContent: "Autoricese en su perfil Instagram a traves del navegator abierto por algun metodo",
				stepThreeText: "Paso 3",
				stepThreeContent: "Despues de que ustes entra su perfil en Instagram-el navegator debe que cerrar a traves de algunes menudos y usted pasara a la pagina principial de la la aplicacion.Si el navegator no cierre, cierrelo haciendo clic en la cruz en la esquina superior derecha.",
				goodInetText: "*Usted tiene la internet conexion buena",
				problemText: "En el caso del problema:",
				problemListText: "Si no puede entrar por la primera vez",
				problemOneText: "Repita el intento",
				problemTwoText: "Trate reiniciar la aplicacion en el telefono y entrar otra vez",
				problemThreeText: "Vuelva a instalar la aplicacion",
				nothingText: "si ningun consejo no se ayuda",
				feedBackButText: "ponerse en contacto con nosotros"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				backText: "Probleme d'autorisation",
				stepOneText: "Etape 1",
				stepOneContent: "Presser sur le bouton 'Autorisation'",
				stepTwoText: "Etape 2",
				stepTwoContent: "Connectez-vous a votre profil Instagram par le navigateur",
				stepThreeText: "Etape 3",
				stepThreeContent: "Une fois que vous vous etes connecte a votre profil Instagram, le navigateur doit se fermer au bout de quelques secondes et vous serez redirige vers la page d'accueil de l'application. Si le navigateur n'est pas ferme, fermez-le vous-meme en cliquant sur la croix en haut a droite.",
				goodInetText: "*Vous devez avoir une bonne connexion internet",
				problemText: "En cas de probleme:",
				problemListText: "Si vous n'avez pas reussi a vous connecter du premier coup",
				problemOneText: "essayez a nouveau",
				problemTwoText: "Essayez de redemarrer l'application et de vous reconnecter",
				problemThreeText: "Reinstallez l'application",
				nothingText: "Si aucun de ces conseils ne vous a aide",
				feedBackButText: "contactez-nous"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				backText: "problemi con l'autorizzazione",
				stepOneText: "Passo 1",
				stepOneContent: "schiaccia il pulsante 'autorizzazione'",
				stepTwoText: "Passo 2",
				stepTwoContent: "autorizzatevi con il vostro account Instagram tramite il browser aperto in qualche modo",
				stepThreeText: "Passo 3",
				stepThreeContent: "Una volta effettuato l'accesso al proprio account Instagram - il browser si dovrebbe chiudere dopo quache secondo e lei sarà portato sulla home dell'applicazione. Se il browser non si è chiuso – chiudetelo da soli cliccando sulla X in alto a destra.",
				goodInetText: "*Deve avere una buona connessione a internet",
				problemText: "In caso di problemi:",
				problemListText: "Se non siete riusciti ad entrare alla prima volta",
				problemOneText: "fai un altro tentativo",
				problemTwoText: "provi ad riavviare l'app sul telefono e entrare di nuovo",
				problemThreeText: "reinstalla l'app",
				nothingText: "se nessuno dei consigli non l'ha aiutata",
				feedBackButText: "contatta noi"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				backText: "Yetki ile ilgili sorunlar",
				stepOneText: "1 Aşama",
				stepOneContent: "Üye ol tıklayın",
				stepTwoText: "2 Aşama",
				stepTwoContent: "Hesabınız Instagram herhangi bir şekilde tarayıcısı üzerinden girin",
				stepThreeText: "3 Aşama",
				stepThreeContent: "Hesabınıza Instagram için giriş yaptıktan sonra - tarayıcı birkaç saniye sonra kapatmalısınız ve ana sayfa uygulamasına yönlendirilirsiniz. Tarayıcınız kapalı değilse - sağ üst köşedeki X tıklayarak kendiniz kapatın.",
				goodInetText: "*İyi bir İnternet bağlantınız olmalıdır",
				problemText: "Problem olduğunda:",
				problemListText: "Birinci kez giremezseniz",
				problemOneText: "tekrar deneyin",
				problemTwoText: "telefonunuz ve uygulamayı yeniden denemek yeniden girmek",
				problemThreeText: "uygulamayı yenile",
				nothingText: "Eğer yardımcı olmadıysa",
				feedBackButText: "Bizimle itibare geçin"
			};
			break;
	}
	return lang;
}

Lang.getGuide = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				guideDiamondsText: "Number of<br>diamonds",
				guideEarnText: "Button for mining diamonds",
				guideBidText: "Get likes",
				guideTasksText: "Your tasks",
				guideDonateText: "Shop",
				guideMainText: "Main profile",
				guideNewsText: "News",
				guideQuestHintText: "Tap on the any image for get likes",
				guideNextButText: "Next"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				guideDiamondsText: "Количество<br>диамантов",
				guideEarnText: "Кнопка перехода для заработка диамантов",
				guideBidText: "Накрутка",
				guideTasksText: "Ваши задания",
				guideDonateText: "Магазин",
				guideMainText: "Ваш профиль",
				guideNewsText: "Новости",
				guideQuestHintText: "Нажмите на изображение на которое необходимо накрутить лайки",
				guideNextButText: "Далее"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				guideDiamondsText: "Anzahl der<br>Diamanten",
				guideEarnText: "Aufgangtaste fur Diamanten erwerb",
				guideBidText: "Vergroesserung",
				guideTasksText: "Ihre Aufgaben",
				guideDonateText: "Geschaeft",
				guideMainText: "Ihre Profileseite",
				guideNewsText: "Nachrichten",
				guideQuestHintText: "Druecken Sie die Frage, deren Likes  man vergroessen soll",
				guideNextButText: "weiter"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				guideDiamondsText: "Número de<br>diamantes",
				guideEarnText: "Boton de avance para ganar los diamantos",
				guideBidText: "La recopilacion",
				guideTasksText: "Tus tareas",
				guideDonateText: "La tienda",
				guideMainText: "Su perfil",
				guideNewsText: "Las noticias",
				guideQuestHintText: "Pulse a la pregunta a donde es necesario recoger me gusta",
				guideNextButText: "Entonces"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				guideDiamondsText: "Nombre de<br>diamants",
				guideEarnText: "Bouton de lancement pour gagner des diamants",
				guideBidText: "Obtention",
				guideTasksText: "Vos taches",
				guideDonateText: "Magasin",
				guideMainText: "Votre profil",
				guideNewsText: "Nouvelles",
				guideQuestHintText: "Cliquez sur la question sur laquelle vous voulez obtenir des comme",
				guideNextButText: "Suivant"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				guideDiamondsText: "Numero di<br>diamanti",
				guideEarnText: "pulsante per guadagnare i diamanti",
				guideBidText: "Il trucco",
				guideTasksText: "i vostri compiti",
				guideDonateText: "Negozio",
				guideMainText: "Vostro profilo",
				guideNewsText: "Notizie",
				guideQuestHintText: "Schiaccia sulla domanda sella quale vuole truccare i likes",
				guideNextButText: "ulteriormente"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				guideDiamondsText: "Sayısı<br>elmas",
				guideEarnText: "Elmas kazançlar için düğmeye gitmek",
				guideBidText: "Hile",
				guideTasksText: "Sizin işleriniz",
				guideDonateText: "Mağaza",
				guideMainText: "Sizin profil",
				guideNewsText: "Haberler",
				guideQuestHintText: "istediğiniz soru üzerine tıklayın ve layk kazanın",
				guideNextButText: "Devam"
			};
			break;
	}
	return lang;
}

Lang.getTop = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				backText: "Rating",
				prizeTimeText: "The competition will end after:",
				tasksCompleteText: "Completed tasks:",
				userposPlace: "You almost<br>entered the top",
				dialogText: "Mine diamonds, take top places and get prizes",
				dialogPlaceText: "Place",
				dialogButText: "Ok"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				backText: "Рейтинг",
				prizeTimeText: "До выдачи призов осталось:",
				tasksCompleteText: "Заданий выполнено:",
				userposPlace: "Вы почти<br>вошли в топ",
				dialogText: "Добывайте диаманты, занимайте призовые места в рейтинге и получайте призы",
				dialogPlaceText: "Место",
				dialogButText: "Ок"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				backText: "Stellenwert",
				prizeTimeText: "Bis zur Preisverteilung blieb es:",
				tasksCompleteText: "erledigte Aufgaben:",
				userposPlace: "Dy trat fast<br>die Tkhe Ratingen",
				dialogText: "Erwerben Sie Diamanten, belegen Sie Preisplaetze im Stellenwert und beommen Sie Preise",
				dialogPlaceText: "Platz",
				dialogButText: "Ok"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				backText: "Valoracion",
				prizeTimeText: "Hasta la expedicion de las sorpresas deja:",
				tasksCompleteText: "Las tareas realizadas:",
				userposPlace: "Dy casi entró<br>en el Tkhe Ratingen",
				dialogText: "Extraed los diamantes, ocupad los puestos premiados",
				dialogPlaceText: "Puesto",
				dialogButText: "Ok"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				backText: "Classement",
				prizeTimeText: "On distribuera des prix dans:",
				tasksCompleteText: "Taches accomplies:",
				userposPlace: "Dy presque entré<br>dans le Tkhe Ratingen",
				dialogText: "Gagnez des diamants, occupez les premieres places du classement et remportez des prix",
				dialogPlaceText: "Place",
				dialogButText: "Ok"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				backText: "valutazione",
				prizeTimeText: "al rilascio dei premi mancano:",
				tasksCompleteText: "la domanda posta:",
				userposPlace: "Dy quasi entrato<br>nella Tkhe Ratingen",
				dialogText: "produci diamanti, occupate i primi posti e ricevete i premi",
				dialogPlaceText: "posto",
				dialogButText: "Ok"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				backText: "Reyting",
				prizeTimeText: "Ödüllerin verilmesine kaldı:",
				tasksCompleteText: "Görev tamamlandı:",
				userposPlace: "Dy neredeyse<br>Tkhe Ratingen girdi",
				dialogText: "Elmas üretmek sıralamasında üst yerleri işgal ve ödül kazanmak",
				dialogPlaceText: "Yer",
				dialogButText: "Ok"
			};
			break;
	}

	// common place's text in top
	lang.dialogPlace1Text = Constant.TOP_PLACE_FIRST;
	lang.dialogPlace2Text = Constant.TOP_PLACE_SECOND;
	lang.dialogPlace3Text = Constant.TOP_PLACE_THIRD;
	lang.dialogPlace4Text = Constant.TOP_PLACE_FOURTH;
	lang.dialogPlace5Text = Constant.TOP_PLACE_FIFTH;

	// common prize's text in top
	lang.dialogFirstNum = Constant.TOP_PLACE_FIRST_NUM;
	lang.dialogSecondNum = Constant.TOP_PLACE_SECOND_NUM;
	lang.dialogThirdNum = Constant.TOP_PLACE_THIRD_NUM;
	lang.dialogFourthNum = Constant.TOP_PLACE_FOURTH_NUM;
	lang.dialogFifthNum = Constant.TOP_PLACE_FIFTH_NUM;

	return lang;
}

Lang.getLvlPrize = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				lvlNameText: "Prizes",

				lvlLevelText: " level",
				turboPrizeText: " for one week"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				lvlNameText: "Награды",

				lvlLevelText: " уровень",
				turboPrizeText: " в течении недели"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				lvlNameText: "Auszeichnung",

				lvlLevelText: " level",
				turboPrizeText: " im Laufe des Monats"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				lvlNameText: "Premios",

				lvlLevelText: " Nivel",
				turboPrizeText: " durante el mes"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				lvlNameText: "Prix",

				lvlLevelText: " niveau",
				turboPrizeText: " dans le courant du mois"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				lvlNameText: "I premi",

				lvlLevelText: " il livello",
				turboPrizeText: " durante il mese"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				lvlNameText: "Şeref payesi",

				lvlLevelText: " seviye",
				turboPrizeText: " Bir ay içinde"
			};
			break;
	}
	return lang;
}

Lang.getMineAd = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				installButText: "Install"
			};
			break;
		case Constant.RU_LANG:
			lang = {
				installButText: "Установить"
			};
			break;
		case Constant.DE_LANG:
			lang = {
				installButText: "Installieren"
			};
			break;
		case Constant.ES_LANG:
			lang = {
				installButText: "Instalar"
			};
			break;
		case Constant.FR_LANG:
			lang = {
				installButText: "Installer"
			};
			break;
		case Constant.IT_LANG:
			lang = {
				installButText: "Mettere"
			};
			break;
		case Constant.TR_LANG:
			lang = {
				installButText: "Kurmak"
			};
			break;
	}
	return lang;
}

Lang.getPrivacy = function(lang_code){
	var lang = null;
	switch(lang_code){
		case Constant.EN_LANG:
			lang = {
				backText: "User aggreement",

				point1Text: "1. The application " + (Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost") + " (next the application) was created for swap likes, followers on Instagram between interested people (next Users) by dint of a special currency (next Diamonds) and tried next:",
				point1Elem1Text: "1.1 mine and buy Diamonds;",
				point1Elem2Text: "1.2 get likes, followers;",
				point1Elem3Text: "1.3 buy a premium account in the application;",
				point1Elem4Text: "1.4 increase speed limits by dint of turbo;",
				point1Elem5Text: "1.5 feedback from the application support;",
				point2Text: "2. The application doesn't guarantee the execution time of orders and their cost.",
				point3Text: "3. The application can save User's data on User's device and on application's servers for work correctly.",
				point4Text: "4. The application reserves the rights at its discretion to carry out any change and/or supplement this User Agreement at any time without prior and/or subsequent notification to the User. The new version of the User Agreement comes into force from the moment of its placement in the application.",
				point5Text: "5. In case of disagreement user with any of the provisions of the User Agreement, the User shall not use the application. In case, if the application any changes were made to the User Agreement, with which the user does not agree, the latter obliged to stop using the application.",
				point6Text: "6. Current User Aggreement compulsory for all application's Users.",
				point7Text: "7. Creators of the application (next ruboss) don't guarantee:",
				point7Elem1Text: "7.1 uninterrupted work of the application;",
				point7Elem2Text: "7.2 errorless work of the application;",
				point7Elem3Text: "7.3 the application will not be typos or errors in the functional of the application;",
				point8Text: "8. ruboss is not be liable, including, but not limited to, for any material or moral damages caused by the use of or inability to use, the user application, as well as for any consequences of unauthorized users/illegal access by third parties to the User authorization data (login, password), a computer or personal data last.",
				point9Text: "9. The application is not affiliated and approved by Instagram.",
				point10Text: "10. ruboss warns, that in case of extremely automated processing of personal data are not responsible for the accuracy and reliability of personal data entered by the user, and user decision and arising in connection with the legal consequences.",
				point11Text: "11. ruboss doesn't guarantee, that after end of using the application by the user his data will be removed in time interval."
			};
			break;
		case Constant.RU_LANG:
			lang = {
				backText: "Пользовательское соглашение",

				point1Text: "1. Приложение " + (Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost") + " (далее Приложение) создано для обмена лайками, подписчиками на сервисе Instagram между заинтересованными лицами (далее Пользователями) с помощью специальой валюты (далее Диаманты) и позволяет следующее:",
				point1Elem1Text: "1.1 Накрутка или покупка Диамантов;",
				point1Elem2Text: "1.2 Накрутка лайков, подписчиков;",
				point1Elem3Text: "1.3 Покупка премиум аккаунта в Приложении;",
				point1Elem4Text: "1.4 Увеличение скоростных лимитов с помощью турбо подписки;",
				point1Elem5Text: "1.5 Получение помощи от технической поддержки Приложения;",
				point2Text: "2. Приложение не дает никаких гарантий относительно времени выполнения заказов и их стоимости.",
				point3Text: "3. Приложение может сохранять данные о Пользователе на устройстве пользователя, а так же на серверах для корректной работы.",
				point4Text: "4. Приложение оставляет за собой право осуществлять любые изменения и/или дополнение настоящего Пользовательского соглашения в любое время без предворительного и/или последующего уведомления. Новая версия Пользовательского соглашения вступает в силу с момента ее размещения в Приложении.",
				point5Text: "5. В случае несогласия Пользователя с каким-либо из положений Пользовательского соглашения, Пользователь не вправе использовать приложение. В случае, если в Пользовательское соглашение были внесены изменения, с которыми Пользователь не согласен, то последний обязан прекратить использование приложения.",
				point6Text: "6. Настоящее Пользовательское соглашение обязательно для всех Пользователей приложения.",
				point7Text: "7. Создатели приложения (далее ruboss) не гарантируют, что:",
				point7Elem1Text: "7.1 работа Приложения будет бесперебойной;",
				point7Elem2Text: "7.2 работа Приложения будет безошибочной;",
				point7Elem3Text: "7.3 в Приложении будут отсутствовать опечатки или ошибки в функционале Приложения;",
				point8Text: "8. ruboss не несет ответственности, в том числе, но не ограничиваясь, за любые материальные или моральные убытки, причененные из-за использования либо невозможности использования Пользователями Приложения, а также за любые последствия несанкционированного Пользователем / незаконного доступа третьих лиц к данным авторизации Пользователя (логин, пароль) либо личной информации последнего.",
				point9Text: "9. Приложение не аффилировано и не одобрено Instagram.",
				point10Text: "10. ruboss предупреждает, что не несет ответственность за правильность вводимых Пользователем данных, за принятые Пользователем решения и за возникшие в связи с этим последствия.",
				point11Text: "11. ruboss не гарантирует, что после прекращения использования Пользователем приложения его данные будут удалены в определенный промежуток времени."
			};
			break;
		case Constant.DE_LANG:
			lang = {
				backText: "Nutzungsvereinbarung",

				point1Text: "1. App " + (Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost") + " ( weiter App ) ist fuer Likes -, Followers austausch zu Instagram zwischen den Interessierten ( weiter Benutzer ) mit Hilfe der spezielen Waehrung ( weiter Diamanten ) geschaffen, und gibt nechste Moeglichkeiten:",
				point1Elem1Text: "1.1 Vergroesserung und Ankauf Diamanten;",
				point1Elem2Text: "1.2 Likes- Followers vergroesserung;",
				point1Elem3Text: "1.3 Ankauf des Premium accounts in der App;",
				point1Elem4Text: "1.4 Vergroesserung des Schnelligkeit limits mit Hilfe Turbo subscription;",
				point1Elem5Text: "1.5 Erhalt der Hilfe von Software Service der App;",
				point2Text: "2. App gibt keine Garantie uber Preis und Zeit der Bestellabwicklung.",
				point3Text: "3. App kann Datenmaterialen uber Benutzer in der anlage erhalten und auch in Server fur korrekte Arbeit.",
				point4Text: "4. App kann Veranderungen und/oder Ergaenzungen der Nutzungvereinbahrung jederzeit ohne vorlaeufige und/oder folgene Anmeldung. Neue Version der Nutzungsvereinbarung kommt zur Wirkung nach dem ihrer Platzierung in der App.",
				point5Text: "5. Im Fall der Unstimmigkeit des Benutzers mit irgendwelcher Bestimmung der Nutzungsvereinbarung, Benutzer kann nicht App verwenden. Wenn die Veraenderungen in der Nutzungsvereinbarung vorgenommen wurden, mit dennen Benutzer nicht bestimmt, soll der letzte Verwendung der App beenden.",
				point6Text: "6. Aktive Nutzungsvereinbarung ist fur alle Benutzer der App obligatorisch.",
				point7Text: "7. Autoren der App garantieren nicht dass :",
				point7Elem1Text: "7.1 die Arbeit der App stoerungsloss wird;",
				point7Elem2Text: "7.2 die Arbeit der App Fehlerloss wird;",
				point7Elem3Text: "7.3 Es gibt keine Fehler und Druckfehler in der App funktional;",
				point8Text: "8. ruboss ist nicht verantwortlich fuer irgendwelche materielische oder morale Schaden zugefuegten wegen der Verwendung oder Unmoeglichkeit der App verwendung und auch fur irgendwelche Folgerungen des unerlaubten vom Benutzer Zugang / gesetzloser Zugang der Dritten zu Daten materialien des Benutzers ( Login , Passwort ) oder Personalien des Letzen.",
				point9Text: "9. App ist nicht angegliedert und nicht von Instagram genehmigt.",
				point10Text: "10. ruboss vorbeugt, dass es nicht verantwortlich ist fur die Korrektheit der vom Benutzer zufuehrenden Daten materialien und fur vom Benutzer treffenden Entscheidungen und entschtehende Probleme.",
				point11Text: "11. ruboss garantiert nicht, dass nach der vom Benutzer Nutzungeinstellung der App, seine Daten materialien bald abgemacht werden sollen."
			};
			break;
		case Constant.ES_LANG:
			lang = {
				backText: "El acuerdo de usario",

				point1Text: "1. La aplicacion " + (Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost") + " (entonces la aplicacion) sirve para compartir me gusta, los suscriptores en el servicio Instagram entre la gente interesado (entonces los usarios) con los usarios conla auyda de la divisa especial (entonces los diamantos) permite el siguiente:",
				point1Elem1Text: "1.1 La recopilacion y la compra de los diamantos;",
				point1Elem2Text: "1.2 La recopilacion de me gusta, los suscriptores;",
				point1Elem3Text: "1.3 La compra del perfil premium en la aplicacion;",
				point1Elem4Text: "1.4 El aumento de la velocidad de los limites con la auyda de la suscripcion turbo;",
				point1Elem5Text: "1.5 La obtencion de la ayuda de el soporte tecnico de la aplicacion;",
				point2Text: "2. La aplicacion no da ninguna garantia sobre el tiempo de la ejecucion de los pedidos y sus costes.",
				point3Text: "3. La aplicacion puede guardar la informacion sobre el usario en el dispositivo de el usario y tambien en los servicios para el trabajo correcto.",
				point4Text: "4. La aplicacion deja el derecho realizar cualquieres cambios o complementos del acuerdo activo del usario en cualquier tiempo sin aviso previa o posterior. La version nueva del acuerdo del usario comienza desde el momento de su alojamento en la aplicacion.",
				point5Text: "5. En caso de desacuerdo del Usuario con uno de las  disposiciones del acuerdo del usario, el usario no tiene derechos usar esta   aplicacion. En caso de los cambios en el acuerdo del usario con que el usario no esta de acuerdo, el usario debe que dejar de usar la aplicacion.",
				point6Text: "6. El acuerdo actual del usario esta obligatorio para todos los usarios de la aplicacion.",
				point7Text: "7. Los creadores de la aplicacion (entonces ruboss) no garantizan que:",
				point7Elem1Text: "7.1 El trabajo de la aplicacion sera ininterrumpido;",
				point7Elem2Text: "7.2 El trabajo de la aplicacion sera  libre de errores;",
				point7Elem3Text: "7.3 No estaran ningunes errores tipograficos la funcionalidad de la aplicacion;",
				point8Text: "8. ruboss no asume la responsabilidad, incluyendo las perdidas materiales o morales de los danos causados por el uso o imposibilidad de uso de los usuarios de la aplicacion, tambien por las consecuencias de la persona tercera a la autorizacion del usario.",
				point9Text: "9. La aplicacion no esta aprobado de Instagram.",
				point10Text: "10. ruboss advierte que el no es responsable por la exactitud de los datos proporcionados por el Usuario, por las decisiones del usario y por los derivados relacionados con las consecuencias.",
				point11Text: "11. ruboss no garantiza que despues del cese de la utilizacion por el usuario de la aplicacion sus datos seran eliminados por un periodo determinado de tiempo."
			};
			break;
		case Constant.FR_LANG:
			lang = {
				backText: "Accord de l'utilisateur",

				point1Text: "1. L'application " + (Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost") + " (ci-apres denommee 'l'Application') est faite pour partager des comme et des abonnes sur le service Instagram entre les parties prenantes (ci-apres denommees 'les Utilisateurs') a l'aide d'une devise speciale (ci-apres denommee 'des Diamants') et permet de faire ce qui suit:",
				point1Elem1Text: "1.1 gagner ou acheter des Diamants;",
				point1Elem2Text: "1.2 obtenir des comme, des abonnes;",
				point1Elem3Text: "1.3 acheter un compte premium via l'Application;",
				point1Elem4Text: "1.4 augmenter des limites de vitesse a l'aide de l'abonnement turbo;",
				point1Elem5Text: "1.5 obtenir de l'aide du service d'assistance technique de l'Application;",
				point2Text: "2. L'Application ne donne aucune garantie quant au temps d'execution des commandes et leurs couts.",
				point3Text: "3. L'Application peut sauvegarder des donnees relatives a l'Utilisateur sur l'appareil de l'Utilisateur et sur les serveurs pour fonctionner correctement.",
				point4Text: "4. L'Application se reserve le droit de modifier et/ou completer l'Accord de l'utilisateur a tout moment  sans avis prealable et/ou posterieur. Une nouvelle version de l'Accord de l'utilisateur prend effet a la date de son emplacement dans l'Application.",
				point5Text: "5. En cas de desaccord de l'Utilisateur devant une disposition quelconque de l'Accord de l'utilisateur, l'Utilisateur n'a pas le droit d'utiliser l'Àpplication. Dans le cas ou l'Utilisateur rejette des modifications de l'Accord de l'utilisateur, il doit cesser d'utiliser l'Application.",
				point6Text: "6. Le present Accord de l'utilisateur est obligatoire pour tous les utilisateurs de l'Application.",
				point7Text: "7. Les concepteurs de l'Application (ci-apres denommes 'Ruboss') ne garantient pas que:",
				point7Elem1Text: "7.1 le fonctionnement de l'Application sera ininterrompu;",
				point7Elem2Text: "7.2 le fonctionnement de l'Application sera exempt d'erreurs;",
				point7Elem3Text: "7.3 il n'y aura pas de fautes de frappe ou d'erreurs de fonctionnalite dans l'Application;",
				point8Text: "8. ruboss n'est pas responsable, y compris, sans s'y limiter, sur des dommages materiels ou moraux causes en raison de l'utilisation ou de l'impossibilite d'utilisation de l'Application, ainsi que sur toutes les consequences de l'acces non autorise/interdit de tiers aux donnees d'autorisation de l'Utilisateur (identifiant, mot de passe) ou aux donnees personnelles de ce dernier.",
				point9Text: "9. L'Application n'est pas affiliee ou approuvee par Instagram.",
				point10Text: "10. ruboss notifie qu'il n'est pas responsable de l'exactitude des donnees saisies par l'Utilisateur, des decisions prises par l'Utilisateur et des consequences qui en decoulent.",
				point11Text: "11. Ruboss ne garantit pas que les donnees de l'Utilisateur seront supprimees dans un laps de temps particulier apres qu'on a cesse d'utiliser l'Application."
			};
			break;
		case Constant.IT_LANG:
			lang = {
				backText: "condizioni d'uso",

				point1Text: "1. L'app " + (Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost") + "(l'app)è fatto per scambiare i likes e gli abbonati sul server Instagram tra le persone interessate con l'aiuto della particolare moneta (diamanti) e ti permette le seguenti azioni:",
				point1Elem1Text: "1.1 Truccare o acquistare i diamanti;",
				point1Elem2Text: "1.2 Truccare i likes, gli abbonati;",
				point1Elem3Text: "1.3 Acquisto del premium account nell'app;",
				point1Elem4Text: "1.4 l'aumento della velocità dei limiti con l'aiuto della turbo iscrizione;",
				point1Elem5Text: "1.5 Ottenere aiuto da applicazioni di supporto tecnico;",
				point2Text: "2 L'app non rilascia alcuna garanzia rispetto ai tempi di consegna e i costi.",
				point3Text: "3. L'applicazione può memorizzare i dati del utente sul dispositivo dell'utente e sui server per poter funzionare correttamente.",
				point4Text: "4. L'applicazione si riserva il diritto di apportare eventuali modifiche e / o integrazioni al presente Accordo per l'utente in qualsiasi momento senza preavviso e / o successiva. La nuova versione delle Condizioni d'uso entrerà in vigore dal momento della sua collocazione sull'app.",
				point5Text: "5. In caso di disaccordo da parte del utente con una qualsiasi delle disposizioni dell'accordo utente, l'utente non avrà diritto ad utilizzare l'applicazione. Nel caso in cui Accordo di utilizzazione è stato modificato, con cui l'utente non è d'accordo, quest'ultimo è obbligato a smettere di usare l'applicazione.",
				point6Text: "6. Il presente accordo è obbligatorio per tutti gli utenti dell'applicazione.",
				point7Text: "7. I creatori dell'applicazione ( ruboss ) non garantiscono che:",
				point7Elem1Text: "7.1 il funzionamento dell'app sarà senza le interruzioni;",
				point7Elem2Text: "7.2 il funzionamento dell'app sarà senza errori;",
				point7Elem3Text: "7.3 l'app sarà senza errori di battitura o errori nella funzionalità dell'app stessa;",
				point8Text: "8. ruboss non è responsabile, per eventuali danni materiali o morali causati dal utilizzo o l'impossibilità del utilizzo dell'applizazione, oltre che per le conseguenze di utenti non autorizzati / accesso illegale da parte di terzi per l'autorizzazione dei dati utente ( login, password ), o le informazioni personali di quest'ultimo.",
				point9Text: "9. l'app non è affiliata o approvata da Instagram.",
				point10Text: "10. ruboss avverte che non è responsabile per i dati inseriti dall'utente, per la decisione dell'utente che si pongono in relazione con le conseguenze.",
				point11Text: "11. ruboss non garantisce che dopo la cessazione dell'uso dell' applicazione i dati dell'utente saranno cancellati in un certo periodo di tempo."
			};
			break;
		case Constant.TR_LANG:
			lang = {
				backText: "kullanıcı Sözleşmesi",

				point1Text: "1. " + (Constant.CUR_DEVICE == Constant.ANDROID_DEVICE ? "RoyalFollowers" : "InstaBoost") + " (Elmaslar) yardımı ile paydaşlar arasında Instagram de like, aboneler ve hizmet değişimi (kullanıcı) için oluşturulan ünlü + (bundan sonra uygulama) ve aşağıdaki sağlar:",
				point1Elem1Text: "1.1 Hile veya bir elmas satın almak;",
				point1Elem2Text: "1.2 Hile, sorunların aboneleri, sever;",
				point1Elem3Text: "1.3 Satınalma prim hesabı;",
				point1Elem4Text: "1.4 turbo abonelik yoluyla artış hız sınırları;",
				point1Elem5Text: "1.5 teknik destek uygulamalarından yardım alma;",
				point2Text: "2. Başvuru süreleri ve maliyetleri kurşun ile ilgili hiçbir garanti vermez.",
				point3Text: "3. Başvuru kullanıcının cihazına kullanıcı hakkında yanı sıra sunucuları düzgün çalışması için veri saklayabilirsiniz.",
				point4Text: "4. Başvuru öncesinde ve / veya müteakip bildirimde bulunmaksızın herhangi bir zamanda bu Kullanıcı Sözleşmesinin herhangi bir değişiklik ve / veya eklemeler yapma hakkını saklı tutar. Kullanıcı Sözleşmesi'nin yeni sürümü ekte yerleşimi andan itibaren yürürlüğe girer.",
				point5Text: "5. Kullanıcı Anlaşması hükümleri herhangi biriyle anlaşmazlık kullanıcı durumunda, kullanıcı uygulamayı kullanma hakkına sahip olmayacaktır. Durumunda Müşteri anlaşması ikinci uygulamasını kullanarak durdurmak zorundadır, hangi kullanıcı kabul etmez, değiştirilmiştir eğer.",
				point6Text: "6. Tüm uygulama kullanıcıları için Geçerli Kullanıcı Sözleşmesi zorunlu.",//
				point7Text: "7. uygulaması (bundan sonra ruboss) yaratıcıları garanti etmez:",
				point7Elem1Text: "7.1 Uygulamalar kesintisiz çalışma olacak;",
				point7Elem2Text: "Hatasız çalışma olacak 7.2 Uygulamaları;",
				point7Elem3Text: "Fonksiyonel uygulamalarda herhangi bir yazım hatası ve hatalar olacak Ek 7.3;",
				point8Text: "Herhangi bir maddi veya manevi zararlardan için, sınırlı da dahil olmak üzere, sorumlu, ama değil 8. ruboss (kullanmak için yetersizlik, kullanıcı uygulama veya kullanımından kaynaklanan yanı sıra yetkisiz kullanıcıların / Kullanıcı yetkilendirme verilerine üçüncü şahıslar tarafından yasadışı erişim herhangi bir sonuç için prichenennye Oturum açma, şifre) ya da ikinci kişisel bilgiler.",
				point9Text: "9. Başvuru bağlı veya Instagram. tarafından onaylanan değil",
				point10Text: "10. ruboss kullanıcı kararının Kullanıcı tarafından girilen ve sonuçları ile bağlantılı olarak ortaya çıkan verilerin doğruluğundan sorumlu olmadığını uyarır.",
				point11Text: "11. ruboss kendi veri kullanıcılarına uygulamaların kullanımının kesilmesinden sonra belli bir süre içinde silineceğini garanti etmez."
			};
			break;
	}
	return lang;
}