var User = Base.extend({
	nick: null,
	id: null,
	instId: null,
	followsCount: null,
	followedCount: null,
	postsCount: null,
	posts: null,
	authData: null,
	cash: null,
	xpInfo: null,
	profileAvatar: null,
	lang: null,
	premium: null,
	turbo: 0,
	settings: [],
	achieves: null,
	rtime: null,		//reg time ago
	is_private: false,
	has_more_posts: false,
	after: '',
	needData: true,
	
	constructor: function(){},

	/* log in to User account */
	login: function(){},

	/* log out from User account */
	logout: function(){},
	
	/* get and set User.nick */
	setNick: function(nick){
		this.nick = nick;
	},
	
	getNick: function(){
		return this.nick;
	},
	
	/* get and set User.id */
	setId: function(id){
		this.id = id;
	},
	
	setPremium: function(premium){
		this.premium = (premium == 0 ? false : true);
	},
	
	getPremium: function(){
		return this.premium;
	},
	
	setRtime: function(rtime){
		this.rtime = rtime;
	},
	
	isSafeUser: function(){
		return this.rtime >= Constant.STAY_SAFE_USER_TIME ? true : false;
	},
	
	getRtime: function(){
		return this.rtime;
	},
	
	setTurbo: function(turbo){
		this.turbo = turbo;
	},
	
	getTurbo: function(){
		return this.turbo;
	},
	
	setPrivate: function(is_private){
		this.is_private = is_private;
	},
	
	isPrivate: function(){
		return this.is_private;
	},
	
	getId: function(){
		return this.id;
	},

	/* get and set User.instId */
	setInstId: function(instId){
		this.instId = instId;
	},
	
	getInstId: function(){
		return this.instId;
	},
	
	/* get and set User.followsCount */
	setFollowsCount: function(followsCount){
		this.followsCount = followsCount;
	},
	
	getFollowsCount: function(){
		return this.followsCount;
	},
	
	/* get and set User.followedCount */
	setFollowedCount: function(followedCount){
		this.followedCount = followedCount;
	},
	
	getFollowedCount: function(){
		return this.followedCount;
	},
	
	/* get and set User.postsCount */
	setPostsCount: function(postsCount){
		this.postsCount = postsCount;
	},
	
	getPostsCount: function(){
		return this.postsCount;
	},

	/* get and set User.postsCount */
	setNeedData: function(need){
		Log.d("SET_NEED_DATA", need);
		this.needData = (need == 1 ? true : false);
		Log.d("SET_NEED_DATA_AFTER", this.needData);
	},
	
	getNeedData: function(){
		return this.needData;
	},
	
	
	/* get and set User.posts */
	setPosts: function(posts){
		this.posts = posts;
	},
	
	getPosts: function(){
		return this.posts;
	},
	
	/* get and set User.authData */
	setAuthData: function(authData){
		this.authData = authData;
	},
	
	getAuthData: function(){
		return this.authData;
	},
	
	/* get and set User.cash */
	setCash: function(cash){
		this.cash = cash;
	},
	
	getCash: function(){
		return this.cash;
	},
	
	setAchieves: function(achieves){
		if(achieves != null)
			this.achieves = achieves;
		else
			this.achieves = new Array();
	},
	
	getAchieves: function(){
		return this.achieves;
	},
	
	setXpInfo: function(xpInfo){
		this.xpInfo = xpInfo;
	},
	
	getXpInfo: function(){
		return this.xpInfo;
	},
	
	changeCash: function(freeLikes, freeFollowers){
		this.cash.changeSums(freeLikes, freeFollowers);
	},
	
	getProfileAvatar: function(){
		return this.profileAvatar;
	},
	
	setLang: function(lang){
		this.lang = lang;
	},
	
	getLang: function(){
		return this.lang;
	},
	
	setSetting: function(name, value){
		this.settings["s_"+name] = value;
	},
	
	isFirstTime: function(){
		return this.settings["s_"+Constant.FIRSTTIME_SETTING] == 1 ? true : false;
	},
	
	getSetting: function(name){
		return this.settings["s_"+name];
	},
	
	reset: function(){
		this.nick = null;
		this.id = null;
		this.instId = null;
		this.followsCount = null;
		this.followedCount = null;
		this.postsCount = null;
		this.posts = null;
		this.authData = null;
		this.cash = null;
		this.profileAvatar = null;
	},
	
	getAfter: function(){
		return this.after;
	},
	
	hasMorePosts: function(){
		return this.has_more_posts;
	},
	
	addMorePosts: function(moreInfo){
		this.after = moreInfo.end_cursor;
		this.has_more_posts = moreInfo.has_next_page;
		var isHave = false;

		for(index in moreInfo.posts){
			for(var i = 0; i < this.posts.length; i++){
				if(this.posts[i].getId() == moreInfo.posts[index].id)
					isHave = true;
			}
			
			if(!isHave)
				this.posts.push(new Post(moreInfo.posts[index]));
			isHave = false;
		}
	},
	
	setUserInfo: function(userInfo){
		this.nick = userInfo.getNick();
		this.posts = userInfo.getPosts();
		this.is_private = userInfo.isPrivate();
		this.followedCount = userInfo.getFollowedCount();
		this.profileAvatar = userInfo.getProfileAvatar();
		this.postsCount = userInfo.getPostsCount();
		this.followsCount = userInfo.getFollowsCount();
		this.has_more_posts = userInfo.hasMorePosts();
		this.after = userInfo.getAfter();
	},
	
	setConfig: function(config){
		Constant.LIKE_PRICE = config.like_price_bid;
		Constant.SUBSCRIBE_PRICE = config.subscribe_price_bid;
		
		Constant.LIKE_LIMIT = config.like_limit;
		Constant.SUBSCRIBE_LIMIT = config.subscribe_limit;
		//lvls
		Config.HARD_RANGE = config.hard_range;
		Config.STEP_BONUS_PER_HARD = config.step_bonus_per_hard;
		Config.LEGEND_LVL_BONUS_SUM = config.legend_lvl_bonus_sum;
		Config.XP_PER_LVL = config.xp_per_lvl;
	}
});